












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22475 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0// title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476// title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474// title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22475 >Shot  &#35;22475</a>  &raquo;   </li>
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>About</h1>

		    
			<a class="viewcode-back" href="/shots/22475//About.php.template"><tt class="file docutils literal"><span class="pre">[Template source]</span></tt></a>

			   <a class="viewcode-back" href="log"> <tt class="file docutils literal"><span class="pre">[Log]</span></tt></a>
			
			







<h4> Main authors of this web: </h4>
Michal Odstrcil <br/>
Tomas Odstrcil <br/>
Ondrej Grover  <br/>


<h4> Warranty </h4>
 <cite>
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF
ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMIT-
ED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT
SHALL THE AUTHORS BE LIABLE FOR
ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE
OR OTHER DEALINGS IN THE SOFTWARE.
</cite>

<h3> Basic rules: </h3>
<ul>
<li>Do not copy large files do your directory, use  <a href="/data/shots/22475/" >pygolem_lite</a> or symbolic links </li>
<li> Do not place static files such as manuals to include directories, place it to one shared location </li>
<li> Preferably use binary saved data, not ASCII (text) files => it is much faster and saves disk space </li>
<li> Plot images in png, svg, svgz formats,  !! do not use jpg !!! </li>
<li> Try to limit your CPU/memory/disk space usage </li>
<li> Do never place computationaly demanding tasks to your mako template code </li>
</ul>


<h2> FAQ: </h2>

<h4> <a name="pygolem_lite">Pygolem web interface </a> </h4>
<b>See <tt class="file docutils literal"><span class="pre">Python/Matlab/IDL interface in our <a href="/wiki/SW/DataProcessing">wiki</a></span></tt></b>. 
If you need to download data from many shots, the simplest way is to use pygolem web interface: <a href="http://golem.fjfi.cvut.cz/utils/data/<class 'pygolem_lite.pygolem_lite.Shot'>/loop_voltage">http://golem.fjfi.cvut.cz/utils/data/<class 'pygolem_lite.pygolem_lite.Shot'>/loop_voltage </a>. Names of the diagnostics are shown in <a href="Data.php#all_data">Data</a> page and you can either use the links provided by the Data page or if you prefer another data formats use following syntax
<pre>
http://golem.fjfi.cvut.cz/utils/data/22475/&lt;your diagn name&gt;_&lt;options&gt;.&lt;format&gt;
</pre>
supported formats are

<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">

<tr class="field">
<th class="field-name">None </th><td class="field-body"> Ordinary TAB separated ASCII format</td>
</tr>
<tr class="field">
<th class="field-name">.txt </th><td class="field-body"> Ordinary TAB separated ASCII format</td>
</tr>
<tr class="field">
<th class="field-name">.gz</th><td class="field-body">Zip compressed ordinary TAB separated ASCII format</td>
</tr>
<tr class="field">
<th class="field-name">.csv</th><td class="field-body">Comma / semicolon separated ASCII values</td>
</tr>
<tr class="field">
<th class="field-name">.npy</th><td class="field-body"> Standard python binary data</td>
</tr>
<tr class="field">
<th class="field-name">.npz</th><td class="field-body"> Compressed python binary data (see <b><a href="/wiki/SW/DataProcessing#python---golem_data.py">python interface</b>)</a></td>
</tr>
<tr class="field">
<th class="field-name">.mat</th><td class="field-body">Matlab binary data (see <b><a href="/wiki/SW/DataProcessing#matlab---golem_data.m">matlab interface</b>)</a></td>
</tr>
<tr class="field">
<th class="field-name">.xls</th><td class="field-body">Excel 97 format</td>
</tr>
<tr class="field">
<th class="field-name">image</th><td class="field-body">Supported formats: png, svg, svgz</td>
</tr>
<tr class="field">
<th class="field-name">.pro</th><td class="field-body">IDL - not supported, use .mat files (<a href="https://github.com/gordonfarquharson/idl-load-mat/blob/master/load_mat.pro">load_mat.pro</a>), (see <b><a href="/wiki/SW/DataProcessing#idl">IDL interface</a> </b> )</td>
</tr>
</tbody>
</table>

for the ASCII formats you can select if you prefer dots/commas decimal separators

<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field">
<th class="field-name">_dp</th><td class="field-body"> Dots point separators, selected as default !! </td>
</tr>
<tr class="field">
<th class="field-name">_cp</th><td class="field-body">Comma points separator</td>
</tr>
</tbody>
</table>

Examples:
<pre>
http://golem.fjfi.cvut.cz/utils/data/22475/loop_voltage - returns simple ASCII data
http://golem.fjfi.cvut.cz/utils/data/22475/loop_voltage.npz - returns compressed loop voltage data
http://golem.fjfi.cvut.cz/utils/data/22475/loop_voltage_cp.csv - comma separated csv - <tt class="file docutils literal"><span class="pre">czech excel</span></tt>
http://golem.fjfi.cvut.cz/utils/data/22475/loop_voltage.xls - <tt class="file docutils literal"><span class="pre">Excel/OO Calc/Gnumeric</span></tt>
</pre>
<br>
<b><tt class="file docutils literal"><span class="pre">See more details in our <a href="http://golem.fjfi.cvut.cz/wiki/SW/pygolem">wiki</a></span></tt></b>


<h4> Add new page </h4>
<ul>
<li> get an account for buon.fjfi.cvut.cz </li>
<li>add new folder to includes/analysis or includes/diagnostics in form [data][Name][.ON] (see /golem/database/velin/includes/)</li>
<li> put some html/php/template file inside, ( supported types: html, htm, php, template ), name of file corresponds to title, file can start with numbers (i.e 01_Title.htm) if you need to  select the items order in menu </li>
<li> add scripts  that should prepare all data /  graphs for the web to your folder  </li>
<li> add makefile  that have functions "acquisition", "analysis",  "plots", ("postanalysis"), acquisition should do only basic data processing, and all plotting should be in "plots" !!! to improve speed (parallelization) </li>
<li> Your template and log files will be linked in top right corner of your page
</ul>


<h4> Load data in your page </h4>
use code i.e for loop voltage
<pre>
from pygolem_lite import Shot
tvec, data  = Shot()['loop_voltage']
</pre>
and you will download data for shot number  where is currently placed your script otherwise use
<pre>
from pygolem_lite import Shot
tvec, data  = Shot(22475)['loop_voltage']
</pre>
if you want to download data from DAS "nistandard":
<pre>
tvec, data  = Shot(22475)['nistandard']
</pre>
if you need only one channel you can use either number or <a href="/shots/22475/das_configuration.cfg"> channel id </a>
<pre>
tvec, data  = Shot(22475)['nistandard', 0]
tvec, data  = Shot(22475)['nistandard', 'uloop']
</pre>
  
full list of accesible signal is in <a href="/shots/22475/Data.php" >  shots/22475//Data.php </a> <br>
Is is also possible to use wget and pygolem web interface.
<br>






<h4> Generate an icon for your analysis/diagnostics on the Home page </h4>
You should generate an image with width = 150px and height ~ 100px in your folder and name it icon.png

You can either use simple bash command and convert your plot to the small size
<pre>
convert -resize 150x120\! your_plot.png icon.png
</pre>
or if you use Python
<pre>
import os
os.system('convert -resize 150x120\! your_plot.png icon.png')
</pre>
and finally if you used pygolem plot interface you can create a small plot
<pre>
paralel_multiplot(data, "" , 'icon', (4,3), 40)
</pre>






<h4> Comments </h4>
<ul>
<li>How to access such data? Try e.g. <a href="http://en.wikipedia.org/wiki/Wget">Wget</a> or <a href="http://sourceforge.net/p/pygolem/home/Home/"> <tt class="file docutils literal"><span class="pre">pygolem</span></tt> </a>  or <a href="About.php#pygolem_lite"> pygolem web interface</a> </li>
<li>Any comments, suggestions? Do you miss something? <a href="mailto:svoboda@fjfi.cvut.cz">Send an e-mail</a></li>
</ul>



	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22475 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>




		<h4>Diagnostics</h4>
		<ul>
		    
        
    
        
    

    <?php
    $statusFile = "diagnostics/Microwaves/0712Interferometer.ON//status" ;
    $iconFile = "diagnostics/Microwaves/0712Interferometer.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/diagnostics/Microwaves/0712Interferometer.ON/">Interferometer</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "diagnostics/Radiation/1111Spectrometer.ON//status" ;
    $iconFile = "diagnostics/Radiation/1111Spectrometer.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/diagnostics/Radiation/1111Spectrometer.ON/">Spectrometer</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "diagnostics/Radiation/0211FastCamera.ON//status" ;
    $iconFile = "diagnostics/Radiation/0211FastCamera.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/diagnostics/Radiation/0211FastCamera.ON/">FastCamera</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "diagnostics/Radiation/0612HXR.ON//status" ;
    $iconFile = "diagnostics/Radiation/0612HXR.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/diagnostics/Radiation/0612HXR.ON/">HXR</a>
    </li>

		</ul>

		<h4>Analysis</h4>
		<ul>
		    
        
    
        
    

    <?php
    $statusFile = "analysis/Basics/0411ShotHomepage.ONN//status" ;
    $iconFile = "analysis/Basics/0411ShotHomepage.ONN//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/analysis/Basics/0411ShotHomepage.ONN/">ShotHomepage</a>
    </li>

		</ul>

		<h4>DAS</h4>
		<ul>
		    
        
    
        
    

    <?php
    $statusFile = "DAS/0311TektronixDPO3014.ON//status" ;
    $iconFile = "DAS/0311TektronixDPO3014.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/DAS/0311TektronixDPO3014.ON/">TektronixDPO</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "DAS/0512NIstandard.ONN//status" ;
    $iconFile = "DAS/0512NIstandard.ONN//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/DAS/0512NIstandard.ONN/">NIstandard</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "DAS/1011Papouch_St.ON//status" ;
    $iconFile = "DAS/1011Papouch_St.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/DAS/1011Papouch_St.ON/">Papouch_St</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "DAS/1113Papouch_Ko.ON//status" ;
    $iconFile = "DAS/1113Papouch_Ko.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/DAS/1113Papouch_Ko.ON/">Papouch_Ko</a>
    </li>

        
    
        
    

    <?php
    $statusFile = "DAS/1114NIoctopus.ON//status" ;
    $iconFile = "DAS/1114NIoctopus.ON//icon.png" ;
 
    if (file_exists($statusFile) ) {
	$f = fopen($statusFile, 'r');
	$status = fgets($f);
	fclose($f);
	}
    elseif (file_exists($iconFile) ) {
	$status = 0; 
	}
    else  {
	$status = 1; 
	}
    ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22475/DAS/1114NIoctopus.ON/">NIoctopus</a>
    </li>

		</ul>

		<h4>Vacuum log</h4>
		<ul>
		    
        
    
		</ul>

		<h3>Other</h3>
		<ul class="this-page-menu">
		
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="Data.php">Data</a>
    </li>

        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="http://golem.fjfi.cvut.cz/wiki/Bibliography">References</a>
    </li>

        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="About.php">About</a>
    </li>

        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="http://golem.fjfi.cvut.cz/wiki/">Wiki</a>
    </li>

        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="http://golem.fjfi.cvut.cz/utils/">Utilities</a>
    </li>

		</ul>

		<h4>Navigation</h4>
		<ul class="this-page-menu">
		
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22476">Next</a>
    </li>

        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/22474">Previous</a>
    </li>

        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="/shots/0">Current</a>
    </li>

		</ul>


	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22475"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22475/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 28MB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0// title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476// title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474// title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
