












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22475 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "diagnostics/Microwaves/0712Interferometer.ON/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/diagnostics/Microwaves/0712Interferometer.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/diagnostics/Microwaves/0712Interferometer.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/diagnostics/Microwaves/0712Interferometer.ON/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22475 >Shot  &#35;22475</a>  &raquo;   </li>
	    <li><a href=/shots/22475/diagnostics/Microwaves/0712Interferometer.ON/ >  main  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: main</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/python2</span>
<span class="c"># -*- coding: utf-8 -*-</span>
<span class="c">#fASTER VERSION THAN MAIN_2, MORE COMPLICATED</span>


<span class="c">####     Microwaves 2.0</span>
<span class="c">#This algorithm calculate transformation of the sin signal from microwaves density measurement to the phase/amplitude space. </span>
<span class="c"># First step of the calculation is estimate of the base frequency and calculation of the complex exponential</span>
<span class="c">#with the same frequency.In the second step is signal multiplied by this exponential</span>
<span class="c">#and resulting low frequency signal is smoothed over Gaussian window. Finally complex phase and amplitude are calculated.  </span>

<span class="c"># Authors: Tomas Odstrcil, Ondrej Grover</span>

<span class="kn">from</span> <span class="nn">time</span> <span class="kn">import</span> <span class="n">time</span>
<span class="n">t</span> <span class="o">=</span> <span class="n">time</span><span class="p">()</span>
<span class="c">#import matplotlib </span>
<span class="c">#matplotlib.rcParams[&#39;backend&#39;] = &#39;Agg&#39;</span>
<span class="c">#matplotlib.rc(&#39;font&#39;,  size=&#39;10&#39;)</span>
<span class="c">#matplotlib.rc(&#39;text&#39;, usetex=True)  # FIXME !! nicer but slower !!!</span>
<span class="c">#import matplotlib.pyplot as plt</span>

<span class="kn">from</span> <span class="nn">numpy</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">from</span> <span class="nn">scipy.fftpack</span> <span class="kn">import</span> <span class="kp">fft</span><span class="p">,</span> <span class="kp">ifft</span><span class="p">,</span><span class="kp">fftfreq</span>
<span class="kn">from</span> <span class="nn">scipy.signal</span> <span class="kn">import</span> <span class="n">fftconvolve</span><span class="p">,</span> <span class="n">medfilt</span> 
<span class="kn">from</span> <span class="nn">pygolem_lite</span> <span class="kn">import</span> <span class="n">save_adv</span><span class="p">,</span><span class="n">load_adv</span><span class="p">,</span><span class="n">saveconst</span><span class="p">,</span> <span class="n">Shot</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.modules</span> <span class="kn">import</span> <span class="n">multiplot</span><span class="p">,</span> <span class="n">get_data</span><span class="p">,</span> <span class="n">paralel_multiplot</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">sys</span>
<span class="kn">from</span> <span class="nn">matplotlib.pylab</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">from</span>  <span class="nn">BlockConv</span> <span class="kn">import</span> <span class="n">BlockConv</span>


<span class="k">def</span> <span class="nf">Demodulation</span><span class="p">(</span><span class="n">y</span><span class="p">,</span><span class="n">win</span><span class="p">,</span><span class="n">dt</span><span class="p">):</span>
    <span class="c">#demodulation is based on Hilber transdformation</span>
    <span class="n">t</span> <span class="o">=</span> <span class="n">time</span><span class="p">()</span>
   
    <span class="n">y</span><span class="o">-=</span> <span class="kp">mean</span><span class="p">(</span><span class="n">y</span><span class="p">,</span> <span class="n">axis</span> <span class="o">=</span> <span class="mi">0</span><span class="p">)</span>
    <span class="n">n</span> <span class="o">=</span> <span class="kp">size</span><span class="p">(</span><span class="n">y</span><span class="p">,</span><span class="mi">0</span><span class="p">)</span>
    <span class="n">N</span> <span class="o">=</span> <span class="mi">2</span> <span class="o">**</span> <span class="nb">int</span><span class="p">(</span><span class="kp">ceil</span><span class="p">(</span><span class="kp">log2</span><span class="p">(</span><span class="n">n</span><span class="p">)))</span>

    <span class="n">fourier</span> <span class="o">=</span> <span class="kp">fft</span><span class="p">(</span><span class="n">y</span><span class="p">[:,</span><span class="mi">0</span><span class="p">],</span> <span class="n">N</span><span class="p">)</span> <span class="c">#calulcate the fourier transfrom for the sine data</span>

    <span class="c">#substract the varing offset of the signals</span>
    <span class="n">reduct</span> <span class="o">=</span> <span class="mi">5</span><span class="o">*</span><span class="mi">999</span>
    <span class="n">n_</span> <span class="o">=</span> <span class="p">(</span><span class="n">n</span><span class="o">/</span><span class="n">reduct</span><span class="p">)</span><span class="o">*</span><span class="n">reduct</span>
    <span class="n">c</span> <span class="o">=</span> <span class="kp">reshape</span><span class="p">(</span><span class="n">y</span><span class="p">[:</span><span class="n">n_</span><span class="p">,:],(</span><span class="n">n_</span><span class="o">/</span><span class="n">reduct</span><span class="p">,</span><span class="n">reduct</span><span class="p">,</span><span class="mi">2</span><span class="p">))</span>
    <span class="n">offset</span> <span class="o">=</span> <span class="kp">mean</span><span class="p">(</span><span class="n">c</span><span class="p">,</span><span class="n">axis</span><span class="o">=</span><span class="mi">1</span><span class="p">)</span>
    <span class="n">c</span> <span class="o">-=</span> <span class="n">offset</span><span class="p">[:,</span><span class="kp">newaxis</span><span class="p">,:]</span>
    <span class="n">c</span> <span class="o">=</span> <span class="kp">swapaxes</span><span class="p">(</span><span class="n">c</span><span class="p">,</span><span class="mi">0</span><span class="p">,</span><span class="mi">1</span><span class="p">)</span><span class="o">.</span><span class="kp">reshape</span><span class="p">(</span><span class="o">-</span><span class="mi">1</span><span class="p">,</span><span class="mi">2</span><span class="p">)</span>


    <span class="c">#find the carrier frequency</span>
    <span class="n">max_frequency_index</span> <span class="o">=</span>  <span class="kp">argmax</span><span class="p">(</span><span class="nb">abs</span><span class="p">(</span><span class="n">fourier</span><span class="p">[:</span><span class="n">N</span><span class="o">/</span><span class="mi">2</span><span class="p">]))</span>
    
    <span class="n">f</span> <span class="o">=</span> <span class="kp">fftfreq</span><span class="p">(</span><span class="n">N</span><span class="p">,</span><span class="n">dt</span><span class="p">)</span>
    <span class="n">s</span> <span class="o">=</span> <span class="nb">slice</span><span class="p">(</span><span class="n">max_frequency_index</span><span class="o">-</span><span class="mi">100</span><span class="p">,</span><span class="n">max_frequency_index</span><span class="o">+</span><span class="mi">100</span><span class="p">)</span>
    <span class="n">amplitude</span> <span class="o">=</span> <span class="nb">abs</span><span class="p">(</span><span class="n">fourier</span><span class="p">[</span><span class="n">s</span><span class="p">])</span>
    <span class="n">f_carrier</span> <span class="o">=</span> <span class="nb">sum</span><span class="p">(</span><span class="n">f</span><span class="p">[</span><span class="n">s</span><span class="p">]</span><span class="o">*</span><span class="n">amplitude</span><span class="p">)</span><span class="o">/</span><span class="nb">sum</span><span class="p">(</span><span class="n">amplitude</span><span class="p">)</span>
 

    
    <span class="c">#find a unharmonics factor</span>
    <span class="n">amplitude</span> <span class="o">=</span> <span class="n">linalg</span><span class="o">.</span><span class="n">norm</span><span class="p">(</span><span class="n">amplitude</span><span class="p">)</span>
    <span class="n">norm1</span> <span class="o">=</span> <span class="n">linalg</span><span class="o">.</span><span class="n">norm</span><span class="p">(</span><span class="n">fourier</span><span class="p">[:</span><span class="n">N</span><span class="o">/</span><span class="mi">2</span><span class="p">])</span>
    
    <span class="n">k</span> <span class="o">=</span> <span class="kp">sqrt</span><span class="p">(</span><span class="n">norm1</span><span class="o">**</span><span class="mi">2</span><span class="o">-</span><span class="n">amplitude</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span><span class="o">/</span><span class="n">norm1</span>
    
    
    <span class="n">fourier</span><span class="p">[:]</span> <span class="o">=</span> <span class="mi">0</span> <span class="c">#cancel out all other frequencies</span>
    <span class="n">fourier</span><span class="p">[</span><span class="n">max_frequency_index</span><span class="p">]</span> <span class="o">=</span> <span class="mi">1</span>

    
    <span class="n">cmpl_exp</span> <span class="o">=</span> <span class="kp">ifft</span><span class="p">(</span><span class="n">fourier</span><span class="p">)[:</span><span class="n">n</span><span class="p">]</span>

    <span class="n">gauss</span> <span class="o">=</span> <span class="kp">exp</span><span class="p">(</span><span class="o">-</span><span class="kp">arange</span><span class="p">(</span><span class="o">-</span><span class="mi">3</span><span class="o">*</span><span class="n">win</span><span class="p">,</span><span class="mi">3</span><span class="o">*</span><span class="n">win</span><span class="p">)</span><span class="o">**</span><span class="mi">2</span><span class="o">/</span><span class="n">win</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>  
    <span class="n">gauss</span><span class="o">/=</span> <span class="nb">sum</span><span class="p">(</span><span class="n">gauss</span><span class="p">)</span>
  
    <span class="n">signal</span> <span class="o">=</span> <span class="nb">list</span><span class="p">()</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="kp">size</span><span class="p">(</span><span class="n">y</span><span class="p">,</span><span class="mi">1</span><span class="p">)):</span>
	<span class="n">signal</span><span class="o">.</span><span class="kp">append</span><span class="p">(</span><span class="n">BlockConv</span><span class="p">(</span><span class="n">y</span><span class="p">[:,</span><span class="n">i</span><span class="p">]</span><span class="o">*</span><span class="n">cmpl_exp</span><span class="p">,</span><span class="n">gauss</span><span class="p">,</span><span class="n">mode</span><span class="o">=</span><span class="s">&#39;same&#39;</span> <span class="p">))</span>  <span class="c">#BUG use IIR filtfilt!!!</span>
	
    <span class="n">signal</span> <span class="o">=</span> <span class="kp">array</span><span class="p">(</span><span class="n">signal</span><span class="p">,</span> <span class="kp">copy</span> <span class="o">=</span> <span class="bp">False</span><span class="p">)</span><span class="o">.</span><span class="n">T</span>    

    <span class="n">amplitude</span> <span class="o">=</span> <span class="nb">abs</span><span class="p">(</span><span class="n">signal</span><span class="p">)</span>
    <span class="n">phase</span> <span class="o">=</span> <span class="kp">angle</span><span class="p">(</span><span class="n">signal</span><span class="p">)</span>
    <span class="n">phase</span> <span class="o">=</span> <span class="kp">unwrap</span><span class="p">(</span><span class="n">phase</span><span class="p">,</span> <span class="n">axis</span> <span class="o">=</span> <span class="mi">0</span><span class="p">)</span>

	
    <span class="k">print</span> <span class="s">&#39;calc. time&#39;</span><span class="p">,</span> <span class="n">time</span><span class="p">()</span><span class="o">-</span><span class="n">t</span>
    <span class="k">return</span> <span class="n">amplitude</span><span class="p">,</span><span class="n">phase</span><span class="p">,</span><span class="n">f_carrier</span><span class="p">,</span><span class="n">k</span><span class="p">,</span><span class="n">norm1</span><span class="o">/</span><span class="p">(</span><span class="n">n</span><span class="o">/</span><span class="mi">2</span><span class="p">)</span>

<span class="k">def</span> <span class="nf">LoadData</span><span class="p">():</span>
    <span class="n">Data</span> <span class="o">=</span> <span class="n">Shot</span><span class="p">()</span>
    <span class="n">Bt_trigger</span> <span class="o">=</span> <span class="n">Data</span><span class="p">[</span><span class="s">&#39;Tb&#39;</span><span class="p">]</span>

    <span class="n">gd</span> <span class="o">=</span> <span class="n">Shot</span><span class="p">()</span><span class="o">.</span><span class="n">get_data</span>
    
    
    <span class="k">if</span> <span class="n">Shot</span><span class="p">()[</span><span class="s">&#39;shotno&#39;</span><span class="p">]</span>  <span class="o">&gt;</span> <span class="mi">22280</span><span class="p">:</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density1</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;interframpsign&#39;</span><span class="p">)</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density2</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;interfdiodeoutput&#39;</span><span class="p">)</span>
         
    <span class="k">elif</span> <span class="n">Shot</span><span class="p">()[</span><span class="s">&#39;shotno&#39;</span><span class="p">]</span>  <span class="o">&gt;</span> <span class="mi">21300</span><span class="p">:</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density1</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;tek_ch1&#39;</span><span class="p">)</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density2</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;tek_ch3&#39;</span><span class="p">)</span>
    
    <span class="k">elif</span> <span class="n">Shot</span><span class="p">()[</span><span class="s">&#39;shotno&#39;</span><span class="p">]</span>  <span class="o">&gt;</span> <span class="mi">18674</span><span class="p">:</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density1</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;interframpsign&#39;</span><span class="p">)</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density2</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;interfdiodeoutput&#39;</span><span class="p">)</span>
    
    <span class="k">else</span><span class="p">:</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density1</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;density1&#39;</span><span class="p">)</span>
        <span class="n">tvec</span><span class="p">,</span> <span class="n">density2</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;density2&#39;</span><span class="p">)</span>
        
    <span class="n">start</span>  <span class="o">=</span> <span class="n">Data</span><span class="p">[</span><span class="s">&#39;plasma_start&#39;</span><span class="p">]</span>
    <span class="n">end</span>  <span class="o">=</span> <span class="n">Data</span><span class="p">[</span><span class="s">&#39;plasma_end&#39;</span><span class="p">]</span>

       
    <span class="k">return</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">start</span><span class="p">,</span> <span class="n">end</span><span class="p">,</span> <span class="n">density1</span><span class="p">,</span><span class="n">density2</span><span class="p">,</span><span class="n">Bt_trigger</span>


    
    
<span class="k">def</span> <span class="nf">graphs</span><span class="p">():</span>
	    
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_pila</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_saw&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_sinus</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_sinus&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_substracted&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_corr</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_corrected&#39;</span><span class="p">)</span>

    <span class="n">tvec</span><span class="p">,</span> <span class="n">amplitude</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/amplitude_sinus&#39;</span><span class="p">)</span>   
    <span class="n">tvec</span><span class="p">,</span> <span class="n">n_e</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/electron_density&#39;</span><span class="p">)</span>

    <span class="c">#print mean(n_e)</span>
   
    
    <span class="n">data</span> <span class="o">=</span> <span class="p">[[</span><span class="n">get_data</span><span class="p">([</span><span class="n">tvec</span><span class="p">,</span><span class="o">-</span><span class="n">phase_pila</span><span class="o">+</span><span class="kp">mean</span><span class="p">(</span><span class="n">phase_pila</span><span class="p">)],</span> <span class="s">&#39;phase 1&#39;</span><span class="p">,</span> <span class="s">&#39;phase [rad]&#39;</span><span class="p">,</span> <span class="n">xlim</span><span class="o">=</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">40</span><span class="p">],</span> <span class="n">fmt</span><span class="o">=</span><span class="s">&quot;--&quot;</span><span class="p">),</span> 
	    <span class="n">get_data</span><span class="p">([</span><span class="n">tvec</span><span class="p">,</span><span class="o">-</span><span class="n">phase_sinus</span><span class="o">+</span><span class="kp">mean</span><span class="p">(</span><span class="n">phase_sinus</span><span class="p">)],</span> <span class="s">&#39;phase 2&#39;</span><span class="p">,</span> <span class="s">&#39;phase [rad]&#39;</span><span class="p">,</span> <span class="n">xlim</span><span class="o">=</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">40</span><span class="p">],</span> <span class="n">fmt</span><span class="o">=</span><span class="s">&quot;--&quot;</span> <span class="p">),</span> 
	    <span class="n">get_data</span><span class="p">([</span><span class="n">tvec</span><span class="p">,</span><span class="n">phase</span><span class="p">],</span> <span class="s">&#39;substracted phase&#39;</span><span class="p">,</span> <span class="s">&#39;phase [rad]&#39;</span><span class="p">,</span> <span class="n">xlim</span><span class="o">=</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">40</span><span class="p">],</span> <span class="n">fmt</span><span class="o">=</span><span class="s">&quot;k&quot;</span> <span class="p">),</span> 
	    <span class="n">get_data</span><span class="p">([</span><span class="n">tvec</span><span class="p">,</span><span class="n">phase_corr</span><span class="p">],</span> <span class="s">&#39;corrected phase&#39;</span><span class="p">,</span> <span class="s">&#39;phase [rad]&#39;</span><span class="p">,</span> <span class="n">xlim</span><span class="o">=</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">40</span><span class="p">],</span> <span class="n">fmt</span><span class="o">=</span><span class="s">&quot;k:&quot;</span> <span class="p">)],</span> 
	    <span class="n">get_data</span><span class="p">([</span><span class="n">tvec</span><span class="p">,</span><span class="n">amplitude</span><span class="p">],</span> <span class="s">&#39;amplitude&#39;</span><span class="p">,</span> <span class="s">&#39;amplitude [a.u.]&#39;</span><span class="p">,</span> <span class="n">xlim</span><span class="o">=</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="mi">40</span><span class="p">],</span><span class="n">ylim</span><span class="o">=</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="bp">None</span><span class="p">]</span>  <span class="p">)]</span>
    <span class="n">multiplot</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="s">&#39;&#39;</span>  <span class="p">,</span> <span class="s">&#39;graphs/demodulation&#39;</span><span class="p">,</span> <span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">6</span><span class="p">)</span> <span class="p">)</span>

    
    <span class="n">ylim</span> <span class="o">=</span> <span class="mi">1</span> <span class="k">if</span> <span class="kp">amax</span><span class="p">(</span><span class="n">n_e</span><span class="p">)</span> <span class="o">&lt;</span> <span class="mf">1e18</span> <span class="k">else</span> <span class="bp">None</span>

    <span class="n">data</span> <span class="o">=</span> <span class="n">get_data</span><span class="p">(</span><span class="s">&#39;electron_density&#39;</span><span class="p">,</span> <span class="s">&#39;Average electron density&#39;</span><span class="p">,</span> <span class="s">&#39;$&lt;n_e&gt;$ [$10^{19}\,m^{-3}$]&#39;</span><span class="p">,</span> <span class="n">data_rescale</span><span class="o">=</span><span class="mf">1e-19</span><span class="p">,</span><span class="n">ylim</span><span class="o">=</span><span class="p">[</span><span class="bp">None</span><span class="p">,</span><span class="n">ylim</span><span class="p">]</span> <span class="p">)</span>
    <span class="n">multiplot</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="s">&#39;&#39;</span>  <span class="p">,</span> <span class="s">&#39;graphs/electron_density&#39;</span><span class="p">,</span> <span class="p">(</span><span class="mi">9</span><span class="p">,</span><span class="mi">3</span><span class="p">)</span> <span class="p">)</span>
    <span class="n">paralel_multiplot</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="s">&#39;&#39;</span><span class="p">,</span> <span class="s">&#39;icon&#39;</span><span class="p">,</span> <span class="p">(</span><span class="mi">4</span><span class="p">,</span><span class="mi">3</span><span class="p">),</span> <span class="mi">40</span><span class="p">)</span>


<span class="k">def</span> <span class="nf">main</span><span class="p">():</span>
    
    <span class="k">for</span> <span class="n">path</span> <span class="ow">in</span> <span class="p">[</span><span class="s">&#39;graphs&#39;</span><span class="p">,</span> <span class="s">&#39;results&#39;</span> <span class="p">]:</span>
	<span class="k">if</span> <span class="ow">not</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">exists</span><span class="p">(</span><span class="n">path</span><span class="p">):</span>
	    <span class="n">os</span><span class="o">.</span><span class="n">mkdir</span><span class="p">(</span><span class="n">path</span><span class="p">)</span>
	    
    <span class="k">if</span> <span class="n">sys</span><span class="o">.</span><span class="n">argv</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span> <span class="o">==</span>  <span class="s">&quot;analysis&quot;</span><span class="p">:</span>
        <span class="k">print</span> <span class="s">&#39;analysis&#39;</span>
	
	<span class="n">win</span> <span class="o">=</span> <span class="mf">30e-6</span> <span class="c">#[s]</span>

	<span class="n">t</span> <span class="o">=</span> <span class="n">time</span><span class="p">()</span>
	<span class="c">#if the phase difference is negativ, change order of dens1,dens2</span>

        <span class="n">tvec</span><span class="p">,</span><span class="n">start</span><span class="p">,</span> <span class="n">end</span><span class="p">,</span> <span class="n">density2</span><span class="p">,</span><span class="n">density1</span><span class="p">,</span><span class="n">Bt_trigger</span> <span class="o">=</span> <span class="n">LoadData</span><span class="p">()</span>
	
	
	<span class="n">dt</span> <span class="o">=</span> <span class="p">(</span><span class="n">tvec</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span><span class="o">-</span><span class="n">tvec</span><span class="p">[</span><span class="mi">0</span><span class="p">])</span><span class="o">/</span><span class="nb">len</span><span class="p">(</span><span class="n">tvec</span><span class="p">)</span>
	<span class="n">density1</span> <span class="o">=</span> <span class="n">density1</span><span class="p">[</span><span class="n">tvec</span><span class="o">&gt;</span><span class="mi">0</span><span class="p">]</span>
	<span class="n">density2</span> <span class="o">=</span> <span class="n">density2</span><span class="p">[</span><span class="n">tvec</span><span class="o">&gt;</span><span class="mi">0</span><span class="p">]</span>
	<span class="n">tvec</span> <span class="o">=</span> <span class="n">tvec</span><span class="p">[</span><span class="n">tvec</span><span class="o">&gt;</span><span class="mi">0</span><span class="p">]</span>

	<span class="k">if</span> <span class="kp">std</span><span class="p">(</span><span class="n">density1</span><span class="p">)</span>  <span class="o">&gt;</span>  <span class="kp">std</span><span class="p">(</span><span class="n">density2</span><span class="p">):</span>
	    <span class="n">density1</span><span class="p">,</span><span class="n">density2</span> <span class="o">=</span> <span class="n">density2</span><span class="p">,</span><span class="n">density1</span>
	
	
	<span class="k">print</span> <span class="s">&#39;load time &#39;</span><span class="p">,</span> <span class="n">time</span><span class="p">()</span><span class="o">-</span><span class="n">t</span>
	<span class="n">signals</span> <span class="o">=</span> <span class="kp">vstack</span><span class="p">((</span><span class="n">density1</span><span class="p">,</span><span class="n">density2</span><span class="p">))</span><span class="o">.</span><span class="n">T</span>
	<span class="n">amplitude</span><span class="p">,</span><span class="n">phase</span><span class="p">,</span><span class="n">f_carrier</span><span class="p">,</span><span class="n">k</span><span class="p">,</span><span class="n">norm_ampl</span> <span class="o">=</span> <span class="n">Demodulation</span><span class="p">(</span><span class="n">signals</span><span class="p">,</span><span class="n">win</span><span class="o">/</span><span class="n">dt</span><span class="p">,</span><span class="n">dt</span><span class="p">)</span>  
	
	<span class="n">downsample</span> <span class="o">=</span> <span class="nb">int</span><span class="p">(</span><span class="n">win</span><span class="o">/</span><span class="n">dt</span><span class="o">/</span><span class="mi">2</span><span class="p">)</span>    
	<span class="n">phase_pila</span> <span class="o">=</span> <span class="n">phase</span><span class="p">[::</span><span class="n">downsample</span><span class="p">,</span><span class="mi">0</span><span class="p">]</span>
	<span class="n">phase_sinus</span> <span class="o">=</span> <span class="n">phase</span><span class="p">[::</span><span class="n">downsample</span><span class="p">,</span><span class="mi">1</span><span class="p">]</span>
	<span class="n">tvec</span> <span class="o">=</span> <span class="n">tvec</span><span class="p">[::</span><span class="n">downsample</span><span class="p">]</span>
	
	<span class="n">phase</span> <span class="o">=</span> <span class="n">phase_pila</span><span class="o">-</span><span class="n">phase_sinus</span>
	<span class="k">if</span> <span class="n">tvec</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">&lt;</span> <span class="n">Bt_trigger</span><span class="p">:</span>
            <span class="n">phase</span> <span class="o">-=</span> <span class="kp">median</span><span class="p">(</span><span class="n">phase</span><span class="p">[</span><span class="n">tvec</span><span class="o">&lt;</span><span class="n">Bt_trigger</span><span class="p">])</span>
        <span class="k">elif</span> <span class="n">start</span> <span class="o">&gt;</span> <span class="n">tvec</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span> <span class="ow">and</span> <span class="n">start</span> <span class="o">&lt;</span> <span class="n">tvec</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">]:</span>
            <span class="n">phase</span><span class="o">-=</span> <span class="n">phase</span><span class="p">[</span><span class="n">tvec</span><span class="o">.</span><span class="kp">searchsorted</span><span class="p">(</span><span class="n">start</span><span class="p">)]</span>
        <span class="k">elif</span> <span class="n">end</span> <span class="o">&gt;</span> <span class="n">tvec</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span> <span class="ow">and</span> <span class="n">end</span> <span class="o">&lt;</span> <span class="n">tvec</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">]:</span>
            <span class="n">phase</span><span class="o">-=</span> <span class="n">phase</span><span class="p">[</span><span class="n">tvec</span><span class="o">.</span><span class="kp">searchsorted</span><span class="p">(</span><span class="n">end</span><span class="p">)]</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">phase</span><span class="o">-=</span> <span class="n">phase</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span>
            
            
	<span class="c">#print median(phase[tvec&lt;Bt_trigger])</span>
	
	<span class="n">switched</span> <span class="o">=</span> <span class="kp">sign</span><span class="p">(</span><span class="kp">mean</span><span class="p">(</span><span class="n">phase</span><span class="p">[(</span><span class="n">tvec</span> <span class="o">&gt;</span> <span class="n">start</span><span class="p">)</span> <span class="o">&amp;</span> <span class="p">(</span><span class="n">tvec</span> <span class="o">&lt;</span> <span class="n">end</span><span class="p">)]))</span> <span class="o">==</span> <span class="o">-</span><span class="mi">1</span>
	<span class="k">if</span> <span class="n">switched</span><span class="p">:</span>
	    <span class="n">phase</span> <span class="o">*=</span> <span class="o">-</span><span class="mi">1</span>   <span class="c"># rotate the density of cabels were switched </span>

	<span class="n">amplitude</span> <span class="o">=</span> <span class="n">amplitude</span><span class="p">[::</span><span class="n">downsample</span><span class="p">,:]</span>
	<span class="n">amplitude</span> <span class="o">*=</span> <span class="n">norm_ampl</span><span class="o">/</span><span class="kp">median</span><span class="p">(</span><span class="n">amplitude</span><span class="p">,</span><span class="mi">0</span><span class="p">)[</span><span class="bp">None</span><span class="p">,:]</span>
	<span class="c">#apl0 = median(amplitude[tvec &lt; start])</span>
	
	<span class="c">#print </span>
	
	<span class="c">##############  detekce skoku ################</span>
	<span class="c">#t0 = time()</span>
	
	<span class="c">#dwin = 20;</span>
	<span class="c">#N = len(phase)</span>
	<span class="c">#phase_diff = zeros(N)</span>
	<span class="c">#for i in arange(N):</span>
	    <span class="c">#p_tmp = phase[max(i-dwin,0):min(i+dwin,N-1)]</span>
	    <span class="c">#phase_diff[i] = amax(p_tmp) - amin(p_tmp)</span>
	    
	<span class="c">#ind = medfilt((amplitude &lt; 0.8*apl0) &amp; (phase_diff &gt; 2), 3)  # remove standalone points</span>
	<span class="c">#ind = where(ind)[0]</span>
	<span class="c">#ind_skip = where(diff(ind)&gt; 1)[0]</span>
	<span class="c">#ind_skip = unique(concatenate([[ind[0]], ind[ind_skip], ind[ind_skip+1] , [ind[-1]]]))  # find indexes with skips</span>

	<span class="c">#phase_new = phase.copy()</span>
	<span class="c">#if mod(len(ind_skip), 2) == 0 and len(ind_skip) &lt; 20: # fix only the simple issues </span>
	    <span class="c">#Nskip = len(ind_skip)</span>
	    <span class="c">#for i in arange(0,Nskip,2):</span>
		<span class="c">#i0 = ind_skip[i]</span>
		<span class="c">#i1 = ind_skip[i+1]</span>
		<span class="c">#phase_new[i1:] += phase_new[i0] - phase_new[i1]</span>
		<span class="c">#phase_new[i0:i1] = nan</span>

	<span class="c">#print &quot;time detekce skoku&quot;, time() - t0</span>

		

	
	<span class="c">#plot(phase_diff)</span>
	<span class="c">#plot(amplitude / amax(amplitude) * amax(phase_diff))</span>
	<span class="c">##plot(ind*amax(phase_diff))</span>
	<span class="c">#savefig(&#39;diff.png&#39;)</span>
	<span class="c">#close()</span>
	<span class="n">phase_new</span> <span class="o">=</span> <span class="n">phase</span>
	<span class="c">#plot(phase)</span>
	<span class="c">#plot(phase_new)</span>
	<span class="c">#savefig(&#39;phase.png&#39;)</span>
	<span class="c">#close()</span>
	
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_saw&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_pila</span><span class="p">)</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_sinus&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_sinus</span><span class="p">)</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_substracted&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase</span><span class="p">)</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/amplitude_sinus&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">amplitude</span><span class="p">)</span>    
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_corrected&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_new</span><span class="p">)</span>    

	<span class="n">p</span> <span class="o">=</span> <span class="kp">exp</span><span class="p">(</span><span class="mi">1</span><span class="o">-</span><span class="kp">mean</span><span class="p">((</span><span class="n">norm_ampl</span><span class="o">/</span><span class="n">amplitude</span><span class="p">)</span><span class="o">**</span><span class="mf">2.5</span><span class="p">))</span>
	
	<span class="kn">from</span> <span class="nn">scipy.constants</span> <span class="kn">import</span> <span class="n">c</span><span class="p">,</span><span class="n">m_e</span><span class="p">,</span><span class="n">epsilon_0</span><span class="p">,</span><span class="n">e</span>
	<span class="n">ind_plasma</span> <span class="o">=</span> <span class="p">(</span><span class="n">tvec</span> <span class="o">&gt;</span> <span class="n">start</span><span class="p">)</span> <span class="o">&amp;</span> <span class="p">(</span><span class="n">tvec</span> <span class="o">&lt;</span> <span class="n">end</span><span class="p">)</span>
	<span class="n">a</span> <span class="o">=</span> <span class="mf">0.085</span>   <span class="c">#[m]</span>
	<span class="n">f_0</span> <span class="o">=</span> <span class="mf">75e9</span> <span class="c">#[Hz]</span>
	<span class="n">lambda_0</span> <span class="o">=</span> <span class="n">c</span><span class="o">/</span><span class="n">f_0</span>
	<span class="n">n_e</span> <span class="o">=</span> <span class="mi">4</span><span class="o">*</span><span class="n">pi</span><span class="o">*</span><span class="n">m_e</span><span class="o">*</span><span class="n">epsilon_0</span><span class="o">*</span><span class="n">c</span><span class="o">**</span><span class="mi">2</span><span class="o">/</span><span class="p">(</span><span class="n">e</span><span class="o">**</span><span class="mi">2</span><span class="o">*</span><span class="n">lambda_0</span><span class="p">)</span><span class="o">*</span><span class="n">phase</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/electron_density_line&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">n_e</span><span class="p">)</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;results/electron_density_mean&#39;</span><span class="p">,</span> <span class="kp">mean</span><span class="p">(</span><span class="n">n_e</span><span class="p">[</span><span class="n">ind_plasma</span><span class="p">]))</span>
	
	<span class="c">#print phase_sinus</span>

	<span class="n">n_e</span> <span class="o">/=</span> <span class="mi">2</span><span class="o">*</span><span class="n">a</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/electron_density&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">n_e</span><span class="p">)</span>

	<span class="n">phase_skip</span>  <span class="o">=</span> <span class="nb">abs</span><span class="p">(</span><span class="n">phase</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span> <span class="o">-</span> <span class="n">phase</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">])</span><span class="o">/</span><span class="mi">2</span><span class="o">*</span><span class="n">pi</span> 
	<span class="n">negativity</span> <span class="o">=</span> <span class="mi">1</span><span class="o">-</span><span class="nb">sum</span><span class="p">(</span><span class="n">phase</span><span class="p">[</span><span class="n">ind_plasma</span><span class="p">])</span><span class="o">/</span><span class="nb">sum</span><span class="p">(</span><span class="nb">abs</span><span class="p">(</span><span class="n">phase</span><span class="p">[</span><span class="n">ind_plasma</span><span class="p">]))</span>
	<span class="n">cum_var</span> <span class="o">=</span> <span class="kp">mean</span><span class="p">(</span><span class="nb">abs</span><span class="p">(</span><span class="kp">diff</span><span class="p">(</span><span class="n">phase</span><span class="p">[</span><span class="n">ind_plasma</span><span class="p">])))</span> <span class="o">/</span> <span class="kp">mean</span><span class="p">(</span><span class="nb">abs</span><span class="p">(</span><span class="n">phase</span><span class="p">[</span><span class="n">ind_plasma</span><span class="p">]))</span>
	
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;results/carrier_freq&#39;</span><span class="p">,</span> <span class="nb">abs</span><span class="p">(</span><span class="n">f_carrier</span><span class="p">))</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;results/harmonics_distortion&#39;</span><span class="p">,</span> <span class="n">k</span><span class="p">)</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;results/norm_ampl&#39;</span><span class="p">,</span> <span class="n">norm_ampl</span><span class="p">)</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;results/probability&#39;</span><span class="p">,</span> <span class="n">p</span><span class="p">)</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;results/reliability&#39;</span><span class="p">,</span> <span class="mi">0</span> <span class="p">)</span>
	<span class="c">#print &#39;phase_skip&#39;, phase_skip</span>
	<span class="c">#print &#39;negativity&#39;, negativity</span>
	<span class="c">#print &#39;cum_var&#39;, cum_var</span>
        <span class="c">##saveconst(&#39;results/reliability&#39;, phase_skip + negativity+cum_var*10 )</span>

	<span class="c">#norm_ampl</span>
	<span class="k">print</span> <span class="s">&#39;carrier_freq &#39;</span><span class="p">,</span> <span class="n">f_carrier</span>
	<span class="k">print</span> <span class="s">&#39;harmonics_distortion &#39;</span><span class="p">,</span><span class="n">k</span>
	<span class="k">print</span> <span class="s">&#39;norm_ampl &#39;</span><span class="p">,</span><span class="n">norm_ampl</span>
	<span class="k">print</span> <span class="s">&#39;probability &#39;</span><span class="p">,</span><span class="n">p</span>
	<span class="k">print</span> <span class="s">&quot;cum_var&quot;</span><span class="p">,</span> <span class="n">cum_var</span>
	<span class="k">print</span> <span class="s">&quot;negativity&quot;</span><span class="p">,</span> <span class="n">negativity</span>
	<span class="k">print</span> <span class="s">&quot;phase_skip&quot;</span><span class="p">,</span> <span class="n">phase_skip</span>

	
	


    <span class="k">if</span> <span class="n">sys</span><span class="o">.</span><span class="n">argv</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span> <span class="o">==</span>  <span class="s">&quot;plots&quot;</span><span class="p">:</span>
	<span class="n">graphs</span><span class="p">()</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;status&#39;</span><span class="p">,</span> <span class="mi">0</span><span class="p">)</span>



<span class="k">if</span> <span class="n">__name__</span> <span class="o">==</span> <span class="s">&quot;__main__&quot;</span><span class="p">:</span>
    <span class="n">main</span><span class="p">()</span>
    	 
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22475 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22475"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22475/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 472KB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/diagnostics/Microwaves/0712Interferometer.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/diagnostics/Microwaves/0712Interferometer.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/diagnostics/Microwaves/0712Interferometer.ON/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
