












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22475 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "DAS/0311TektronixDPO3014.ON/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/DAS/0311TektronixDPO3014.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/DAS/0311TektronixDPO3014.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/DAS/0311TektronixDPO3014.ON/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22475 >Shot  &#35;22475</a>  &raquo;   </li>
	    <li><a href=/shots/22475/DAS/0311TektronixDPO3014.ON/ >  isf_read  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: isf_read</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/env python</span>
<span class="c"># -*- coding: utf-8 -*-</span>

<span class="sd">&quot;&quot;&quot; CREATED: 7/2012</span>
<span class="sd">    AUTHOR: TOMÁŠ ODSTRČIL</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="kn">from</span> <span class="nn">numpy</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">from</span> <span class="nn">string</span> <span class="kn">import</span> <span class="n">find</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.modules</span> <span class="kn">import</span> <span class="n">save_adv_par</span>

<span class="kn">import</span> <span class="nn">os</span>



<span class="c">#This function loads the binary data from a Tektronix &quot;.ISF&quot;</span>
<span class="c">#file.  The ISF file format is used by newer Tektronix</span>
<span class="c">#TDS-series oscilloscopes.</span>

<span class="c">#USAGE</span>

<span class="c">#(v,t,h) = isf_read(&#39;ch1.isf.gz&#39;, &#39;gzip&#39;)</span>

<span class="c">#INPUT</span>

<span class="c">#filename - name of Tektronix ISF file, or gziped ISF file</span>

<span class="c">#OUTPUT</span>

<span class="c">#x - evenly spaced column-vector of x-values</span>
<span class="c">#y - corresponding column-vector of y-values</span>
<span class="c">#head -  header record of file</span>

<span class="k">def</span> <span class="nf">getfloat</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">):</span>
    <span class="n">ii</span> <span class="o">=</span> <span class="n">find</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">)</span> <span class="o">+</span> <span class="nb">len</span><span class="p">(</span><span class="n">pattern</span><span class="p">)</span>
    <span class="n">z</span> <span class="o">=</span> <span class="n">string</span><span class="p">[</span><span class="n">ii</span><span class="p">:]</span><span class="o">.</span><span class="kp">split</span><span class="p">(</span><span class="s">&#39;;&#39;</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
    <span class="k">return</span> <span class="nb">float</span><span class="p">(</span><span class="n">z</span><span class="p">)</span>
    
<span class="k">def</span> <span class="nf">getint</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">):</span>
    <span class="n">ii</span> <span class="o">=</span> <span class="n">find</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">)</span> <span class="o">+</span> <span class="nb">len</span><span class="p">(</span><span class="n">pattern</span><span class="p">)</span>
    <span class="n">z</span> <span class="o">=</span> <span class="n">string</span><span class="p">[</span><span class="n">ii</span><span class="p">:]</span><span class="o">.</span><span class="kp">split</span><span class="p">(</span><span class="s">&#39;;&#39;</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
    <span class="k">return</span> <span class="nb">int</span><span class="p">(</span><span class="n">z</span><span class="p">)</span>
    
<span class="k">def</span> <span class="nf">getstr</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">):</span>
    <span class="n">ii</span> <span class="o">=</span> <span class="n">find</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">)</span> <span class="o">+</span> <span class="nb">len</span><span class="p">(</span><span class="n">pattern</span><span class="p">)</span> <span class="o">+</span> <span class="mi">1</span>
    <span class="n">z</span> <span class="o">=</span> <span class="n">string</span><span class="p">[</span><span class="n">ii</span><span class="p">:]</span><span class="o">.</span><span class="kp">split</span><span class="p">(</span><span class="s">&#39;;&#39;</span><span class="p">)[</span><span class="mi">0</span><span class="p">]</span>
    <span class="k">return</span> <span class="n">z</span>

    
<span class="k">def</span> <span class="nf">getquotedstr</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">):</span>
    <span class="n">ii</span> <span class="o">=</span> <span class="n">find</span><span class="p">(</span><span class="n">string</span><span class="p">,</span><span class="n">pattern</span><span class="p">)</span> <span class="o">+</span> <span class="nb">len</span><span class="p">(</span><span class="n">pattern</span><span class="p">)</span> <span class="o">+</span> <span class="mi">1</span>
    <span class="n">z</span> <span class="o">=</span> <span class="n">string</span><span class="p">[</span><span class="n">ii</span><span class="p">:]</span><span class="o">.</span><span class="kp">split</span><span class="p">(</span><span class="s">&#39;&quot;&#39;</span><span class="p">)[</span><span class="mi">1</span><span class="p">]</span>
    <span class="k">return</span> <span class="n">z</span>

<span class="k">def</span> <span class="nf">isf_read</span><span class="p">(</span><span class="n">filename</span><span class="p">):</span>

    <span class="k">if</span> <span class="ow">not</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">exists</span><span class="p">(</span><span class="n">filename</span><span class="p">):</span>
	<span class="k">raise</span> <span class="ne">IOError</span><span class="p">,</span> <span class="s">&quot;Missing .isf file&quot;</span>
    <span class="k">if</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">getsize</span><span class="p">(</span><span class="n">filename</span><span class="p">)</span> <span class="o">==</span> <span class="mi">0</span><span class="p">:</span>
	<span class="k">raise</span> <span class="ne">IOError</span><span class="p">,</span> <span class="s">&quot;Empty .isf file&quot;</span>

    <span class="n">f</span> <span class="o">=</span> <span class="nb">open</span><span class="p">(</span><span class="n">filename</span><span class="p">,</span> <span class="s">&quot;rb&quot;</span><span class="p">)</span>
    <span class="n">offset</span> <span class="o">=</span> <span class="mi">0</span>
    
    <span class="c">#offset</span>
    <span class="n">f</span><span class="o">.</span><span class="n">seek</span><span class="p">(</span><span class="n">offset</span><span class="p">,</span><span class="mi">0</span><span class="p">)</span>

    <span class="n">hdata</span> <span class="o">=</span> <span class="n">f</span><span class="o">.</span><span class="n">read</span><span class="p">(</span><span class="mi">511</span><span class="p">)</span>

    <span class="k">class</span> <span class="nc">HeadFile</span><span class="p">:</span>
	<span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
	    <span class="k">pass</span>
    
    <span class="n">head</span> <span class="o">=</span> <span class="n">HeadFile</span><span class="p">()</span>
    

    
    <span class="n">head</span><span class="o">.</span><span class="n">byte_num</span> <span class="o">=</span> <span class="n">getint</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;BYT_N&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">bit_num</span> <span class="o">=</span> <span class="n">getint</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;BIT_N&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">encoding</span> <span class="o">=</span> <span class="n">getstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;ENC&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">bin_format</span> <span class="o">=</span> <span class="n">getstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;BN_F&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">byte_order</span> <span class="o">=</span> <span class="n">getstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;BYT_O&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">setting</span> <span class="o">=</span> <span class="n">getquotedstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;WFI&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">point_format</span> <span class="o">=</span> <span class="n">getstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;PT_F&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">x_unit</span> <span class="o">=</span> <span class="n">getquotedstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;XUN&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">x_zero</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;XZE&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">x_increment</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;XIN&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">pt_off</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;PT_O&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">y_unit</span> <span class="o">=</span> <span class="n">getquotedstr</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;YUN&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">y_multipt_const</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;YMU&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">y_zero</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;YZE&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">y_offset</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;YOF&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">n_samples</span> <span class="o">=</span> <span class="n">getint</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;NR_P&#39;</span><span class="p">)</span>
    
    <span class="c"># nevím jestli jsou potřebné</span>
    <span class="n">head</span><span class="o">.</span><span class="n">vscale</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;VSCALE&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">hscale</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;HSCALE&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">vpos</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;VPOS&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">voffset</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;VOFFSET&#39;</span><span class="p">)</span>
    <span class="n">head</span><span class="o">.</span><span class="n">hdelay</span> <span class="o">=</span> <span class="n">getfloat</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;HDELAY&#39;</span><span class="p">)</span>
    
    <span class="k">print</span>  <span class="n">head</span><span class="o">.</span><span class="n">setting</span> 
    
    
    
    <span class="k">if</span>  <span class="n">head</span><span class="o">.</span><span class="n">encoding</span> <span class="o">!=</span><span class="s">&#39;BIN&#39;</span> <span class="ow">or</span> <span class="n">head</span><span class="o">.</span><span class="n">bin_format</span> <span class="o">!=</span> <span class="s">&#39;RI&#39;</span> <span class="ow">or</span> <span class="n">head</span><span class="o">.</span><span class="n">point_format</span> <span class="o">!=</span> <span class="s">&#39;Y&#39;</span><span class="p">:</span>
	<span class="n">f</span><span class="o">.</span><span class="n">close</span><span class="p">()</span>
	<span class="k">print</span> <span class="s">&#39;Unable to process IFS file.&#39;</span>




    <span class="k">if</span> <span class="n">head</span><span class="o">.</span><span class="n">byte_order</span> <span class="o">==</span> <span class="s">&#39;MSB&#39;</span><span class="p">:</span> <span class="c"># Big Endian encoding</span>
	<span class="n">machineformat</span> <span class="o">=</span> <span class="s">&#39;&lt;&#39;</span>
	
    <span class="k">elif</span> <span class="n">head</span><span class="o">.</span><span class="n">byte_order</span> <span class="o">==</span> <span class="s">&#39;LSB&#39;</span><span class="p">:</span>  <span class="c"># little-endian encoding </span>
	<span class="n">machineformat</span> <span class="o">=</span> <span class="s">&#39;&gt;&#39;</span>
    <span class="k">else</span><span class="p">:</span>
	<span class="k">print</span> <span class="s">&#39;Unrecognized byte order.&#39;</span>


    
    <span class="n">ii</span> <span class="o">=</span> <span class="n">find</span><span class="p">(</span><span class="n">hdata</span><span class="p">,</span><span class="s">&#39;#&#39;</span><span class="p">)</span>
    <span class="n">f</span><span class="o">.</span><span class="n">seek</span><span class="p">(</span><span class="n">ii</span><span class="o">+</span><span class="mi">1</span><span class="o">+</span><span class="n">offset</span><span class="p">,</span><span class="mi">0</span><span class="p">)</span>
    <span class="n">skip</span><span class="o">=</span> <span class="nb">int</span><span class="p">(</span><span class="n">f</span><span class="o">.</span><span class="n">read</span><span class="p">(</span><span class="mi">1</span><span class="p">))</span><span class="o">+</span><span class="mi">1</span>
    <span class="n">f</span><span class="o">.</span><span class="n">seek</span><span class="p">(</span><span class="n">skip</span><span class="p">,</span><span class="mi">1</span><span class="p">)</span>
    
    <span class="n">data_type</span> <span class="o">=</span> <span class="n">machineformat</span><span class="o">+</span><span class="s">&#39;i&#39;</span><span class="o">+</span><span class="nb">str</span><span class="p">(</span><span class="n">head</span><span class="o">.</span><span class="n">byte_num</span><span class="p">)</span>  
    
    <span class="n">data</span> <span class="o">=</span> <span class="kp">fromstring</span><span class="p">(</span><span class="n">f</span><span class="o">.</span><span class="n">read</span><span class="p">(),</span> <span class="kp">dtype</span><span class="o">=</span> <span class="n">data_type</span><span class="p">,</span><span class="n">count</span> <span class="o">=</span> <span class="n">head</span><span class="o">.</span><span class="n">n_samples</span> <span class="p">)</span>
    <span class="n">f</span><span class="o">.</span><span class="n">close</span><span class="p">()</span>
    
    <span class="n">v</span> <span class="o">=</span> <span class="n">head</span><span class="o">.</span><span class="n">y_zero</span> <span class="o">+</span> <span class="n">head</span><span class="o">.</span><span class="n">y_multipt_const</span><span class="o">*</span><span class="p">(</span><span class="n">data</span> <span class="o">-</span> <span class="n">head</span><span class="o">.</span><span class="n">y_offset</span><span class="p">)</span>

    <span class="c">#v = v.astype(&#39;float32&#39;)</span>
    
    <span class="n">t</span> <span class="o">=</span> <span class="n">head</span><span class="o">.</span><span class="n">x_zero</span> <span class="o">+</span> <span class="n">head</span><span class="o">.</span><span class="n">x_increment</span><span class="o">*</span><span class="kp">arange</span><span class="p">(</span> <span class="n">head</span><span class="o">.</span><span class="n">n_samples</span><span class="p">)</span>
    
    <span class="n">save_adv_par</span><span class="p">(</span><span class="n">filename</span><span class="p">[:</span><span class="o">-</span><span class="mi">4</span><span class="p">],</span><span class="n">t</span><span class="p">,</span><span class="n">data</span><span class="p">,</span> <span class="n">scale</span> <span class="o">=</span> <span class="n">head</span><span class="o">.</span><span class="n">y_multipt_const</span><span class="p">)</span> 

    <span class="k">return</span> <span class="n">single</span><span class="p">(</span><span class="n">v</span><span class="p">),</span><span class="n">single</span><span class="p">(</span><span class="n">t</span><span class="p">),</span><span class="n">head</span>

<span class="k">def</span> <span class="nf">isf2array</span><span class="p">(</span><span class="n">filename</span><span class="p">,</span>  <span class="n">compression</span> <span class="o">=</span> <span class="bp">None</span><span class="p">):</span>
  <span class="n">v</span><span class="p">,</span><span class="n">t</span><span class="p">,</span><span class="n">h</span> <span class="o">=</span> <span class="n">isf_read</span><span class="p">(</span><span class="n">filename</span><span class="p">,</span> <span class="n">compression</span><span class="p">)</span>
  <span class="k">return</span>    <span class="kp">vstack</span><span class="p">([</span><span class="n">t</span><span class="p">,</span><span class="n">v</span><span class="p">])</span><span class="o">.</span><span class="n">T</span>

  
  
<span class="c">#(v,t,h) = isf_read(&#39;ch1.isf&#39;)</span>

<span class="c">#from matplotlib.pyplot import *</span>

<span class="c">#plot(t,v)</span>
<span class="c">#show()</span>
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22475 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22475"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22475/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 5.6MB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/DAS/0311TektronixDPO3014.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/DAS/0311TektronixDPO3014.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/DAS/0311TektronixDPO3014.ON/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
