












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22475 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "analysis/Basics/0411ShotHomepage.ONN/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/analysis/Basics/0411ShotHomepage.ONN/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/analysis/Basics/0411ShotHomepage.ONN/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/analysis/Basics/0411ShotHomepage.ONN/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22475 >Shot  &#35;22475</a>  &raquo;   </li>
	    <li><a href=/shots/22475/analysis/Basics/0411ShotHomepage.ONN/ >  Basic Diagnostics.htm  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: Basic Diagnostics.htm</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">##!/usr/bin/python2</span>
<span class="c">## -*- coding: utf-8 -*-</span>


<span class="o">&lt;%</span><span class="n">page</span> <span class="n">args</span><span class="o">=</span><span class="s">&quot;shot,  page, default_path&quot;</span><span class="o">/&gt;</span>

<span class="o">&lt;%</span>
<span class="kn">from</span> <span class="nn">pygolem_lite</span> <span class="kn">import</span> <span class="n">Shot</span><span class="p">,</span> <span class="n">loadconst</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.config</span> <span class="kn">import</span>  <span class="n">TororoidalMagneticFieldTrigger</span><span class="p">,</span> <span class="n">TororoidalMagneticFieldCapacitor</span><span class="p">,</span> <span class="n">CurrentDriveElectricFieldCapacitor</span><span class="p">,</span> <span class="n">StabilizationCapacitor</span><span class="p">,</span> <span class="n">BreakDownElectricFieldCapacitor</span>
<span class="kn">import</span> <span class="nn">datetime</span><span class="o">,</span> <span class="nn">cStringIO</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.web</span> <span class="kn">import</span> <span class="n">cat</span><span class="p">,</span> <span class="n">emph</span><span class="p">,</span> <span class="n">get_page_paths</span><span class="p">,</span> <span class="n">make_zoom_image</span><span class="p">,</span> <span class="n">wiki</span><span class="p">,</span> <span class="n">source_link</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.modules</span> <span class="kn">import</span>  <span class="n">cData</span>
<span class="n">page_path</span><span class="p">,</span> <span class="n">base_path</span><span class="p">,</span> <span class="n">page</span>  <span class="o">=</span> <span class="n">get_page_paths</span><span class="p">(</span><span class="n">shot</span><span class="p">,</span> <span class="n">page</span><span class="p">,</span> <span class="n">default_path</span><span class="p">)</span>

<span class="n">get</span> <span class="o">=</span> <span class="n">cData</span><span class="o">.</span><span class="n">get_nice</span>
<span class="o">%&gt;</span>

<span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;</span> <span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&quot;basic_diagn.py&quot;</span><span class="o">&gt;</span> <span class="p">[</span><span class="n">Source</span> <span class="o">-</span> <span class="n">basic_diagn</span><span class="o">.</span><span class="n">py</span> <span class="p">]</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span>   <span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&quot;main.py&quot;</span><span class="o">&gt;</span> <span class="p">[</span><span class="n">Source</span> <span class="o">-</span> <span class="n">main</span><span class="o">.</span><span class="n">py</span> <span class="p">]</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span> <span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>


<span class="c">##&lt;h2&gt; ${source_link( page_path, get(&#39;code_revision&#39;),default_path, &#39;basic_diagn.py&#39;, &#39;Source - basic_diagn.py&#39; )}</span>
<span class="c">##${source_link( page_path, get(&#39;code_revision&#39;),default_path,  &#39;main.py&#39;, &#39;Source - main.py&#39;)} &lt;/h2&gt;</span>


<span class="o">&lt;</span><span class="n">table</span> <span class="o">&gt;</span>
<span class="o">&lt;</span><span class="n">tr</span> <span class="n">valign</span><span class="o">=</span><span class="s">&#39;top&#39;</span><span class="o">&gt;</span>
<span class="o">&lt;</span><span class="n">td</span><span class="o">&gt;</span>
<span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="o">&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="o">&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="o">&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="n">Basic</span> <span class="n">parameters</span><span class="p">:</span>  <span class="o">&lt;</span><span class="n">font</span> <span class="n">size</span><span class="o">=</span><span class="s">&#39;3&#39;</span><span class="o">&gt;</span><span class="p">(</span><span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&quot;http://golem.fjfi.cvut.cz/utils/golplot?action=Plot+All&amp;shotno_0=${shot}&amp;diagn_0=loop_voltage&amp;shotno_1=${shot-1}&amp;diagn_1=loop_voltage&amp;preview=1&quot;</span><span class="o">&gt;</span><span class="n">compare</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span><span class="p">)</span><span class="o">&lt;/</span><span class="n">font</span><span class="o">&gt;</span> <span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>
<span class="c">##&lt;a href=&quot;http://golem.fjfi.cvut.cz/golplot/index12.php&quot;&gt;compare&lt;/a&gt;</span>

<span class="o">&lt;</span><span class="n">ul</span><span class="o">&gt;</span>
    <span class="o">%</span><span class="k">try</span><span class="p">:</span>
      
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Gas</span> <span class="n">pressure</span> <span class="n">p</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">ch</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;</span><span class="p">:</span><span class="err">$</span><span class="p">{</span> <span class="n">emph</span><span class="p">(</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;pressure_initial&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">))}</span><span class="o">-&amp;</span><span class="n">gt</span><span class="p">;</span><span class="err">$</span><span class="p">{</span> <span class="n">emph</span><span class="p">(</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;pressure&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">))}</span>  <span class="n">mPa</span>
	<span class="p">(</span><span class="n">request</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;pressure_request&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i</span><span class="s">&#39;</span><span class="p">)}</span> <span class="n">mPa</span><span class="p">)</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/predecessor-CASTOR/Vacuum/vacuum&quot;</span><span class="p">)}</span>     <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Working</span> <span class="n">gas</span><span class="p">:</span>
	<span class="o">%</span><span class="k">try</span><span class="p">:</span>
	    <span class="o">%</span><span class="k">if</span>  <span class="nb">int</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;gas_filling&#39;</span><span class="p">)):</span>
		<span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;working_gas&#39;</span><span class="p">))}</span>
	    <span class="o">%</span><span class="k">else</span><span class="p">:</span>
		<span class="bp">None</span>
	    <span class="o">%</span><span class="n">endif</span>
	<span class="o">%</span><span class="k">except</span><span class="p">:</span>
	    <span class="bp">None</span>
	<span class="o">%</span><span class="n">endtry</span>
	<span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Preionization</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span> <span class="s">&quot;ON&quot;</span> <span class="k">if</span> <span class="nb">int</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;preionization&#39;</span><span class="p">))</span> <span class="k">else</span> <span class="s">&quot;OFF&quot;</span><span class="p">}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>

	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Chamber</span> <span class="n">temperature</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;chamber_temperature&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">)}</span> <span class="n">C</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>

	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">C</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">B</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">t</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;&lt;/</span><span class="n">sub</span><span class="o">&gt;</span> <span class="n">capacitors</span> <span class="n">changed</span> <span class="n">to</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Ub&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i</span><span class="s"> V&#39;</span><span class="p">))},</span> \
	<span class="n">triggered</span> <span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Tb&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s"> ms&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">))}</span>  <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Infrastructure/Capacitors/ToroidalMagneticFieldLine/generation_toroidal&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">C</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">BD</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;</span> <span class="n">capacitors</span> <span class="n">changed</span> <span class="n">to</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Ubd&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i</span><span class="s"> V&#39;</span><span class="p">))},</span> <span class="n">triggered</span> \
	<span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Tbd&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s"> ms&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">))}</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Tokamak/Coils/TransformerPrimary-BreakdownElectricField/generation_transformer&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">C</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">CD</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;</span> <span class="n">capacitors</span> <span class="n">changed</span> <span class="n">to</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Ucd&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i</span><span class="s"> V&#39;</span><span class="p">))},</span> <span class="n">triggered</span>  \
	<span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Tcd&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s"> ms&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">))}</span>  <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Tokamak/Transformer/coils_transformer&quot;</span><span class="p">)</span> <span class="p">}</span> <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">C</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">ST</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;</span> <span class="n">capacitors</span> <span class="n">changed</span> <span class="n">to</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Ust&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i</span><span class="s"> V&#39;</span><span class="p">))},</span> <span class="n">triggered</span> \
	<span class="err">$</span><span class="p">{</span> <span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;Tst&#39;</span><span class="p">,</span><span class="s">&#39;</span><span class="si">%.1f</span><span class="s"> ms&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">))}</span>   <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Tokamak/Coils/Stabilization/coils_stabilisation&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">%</span><span class="k">try</span><span class="p">:</span>
	    <span class="err">$</span><span class="p">{</span> <span class="p">(</span> <span class="s">&quot;&lt;li&gt;&lt;font color=&#39;red&#39;&gt; Max saturation of iron core transformator:  &quot;</span> <span class="o">+</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;transformator_saturation&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i%%</span><span class="s">&#39;</span><span class="p">,</span> <span class="mi">100</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot; &lt;/font&gt; &quot;</span> <span class="o">+</span> <span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Tokamak/Transformer/coils_transformer&quot;</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot;&lt;/li&gt;&quot;</span> <span class="p">)</span> <span class="k">if</span> <span class="nb">float</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;transformator_saturation&#39;</span><span class="p">))</span> <span class="o">&gt;</span> <span class="mf">0.8</span> <span class="k">else</span> <span class="s">&quot;&quot;</span> <span class="p">}</span>
	    <span class="err">$</span><span class="p">{</span> <span class="p">(</span> <span class="s">&quot;&lt;li&gt;&lt;font color=&#39;red&#39;&gt;  Level of noise &lt;a href=&#39;basicdiagn/graphpresb.png&#39;&gt;(dBt)&lt;/a&gt; in room:  &quot;</span> <span class="o">+</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;noise_level&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%0.3f</span><span class="s"> V&#39;</span><span class="p">)</span> <span class="o">+</span> <span class="s">&quot; &lt;/font&gt; &lt;/li&gt;&quot;</span> <span class="p">)</span> <span class="k">if</span> <span class="nb">float</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;noise_level&#39;</span><span class="p">))</span> <span class="o">&gt;</span> <span class="mf">0.03</span> <span class="k">else</span> <span class="s">&quot;&quot;</span> <span class="p">}</span>
	<span class="o">%</span><span class="k">except</span><span class="p">:</span>

	<span class="o">%</span><span class="n">endtry</span>
      <span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span> <span class="n">Probability</span> <span class="n">of</span> <span class="n">breakdown</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;breakdown_probability&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%i%%</span><span class="s">&#39;</span><span class="p">)}</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Education/ExperimentMenu/BreakdownStudies/Breakdownstudies&quot;</span><span class="p">)}</span>  <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
      <span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Time</span> <span class="n">since</span> <span class="n">session</span> <span class="n">beginning</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="nb">str</span><span class="p">(</span><span class="n">datetime</span><span class="o">.</span><span class="n">timedelta</span><span class="p">(</span><span class="n">seconds</span><span class="o">=</span><span class="nb">int</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;session_length&#39;</span><span class="p">))))}</span> <span class="n">h</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
    <span class="o">%</span><span class="k">except</span> <span class="ne">Exception</span><span class="p">,</span> <span class="n">e</span><span class="p">:</span>
	<span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;</span> <span class="n">Parameters</span> <span class="n">loading</span> <span class="n">failed</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="nb">str</span><span class="p">(</span><span class="n">e</span><span class="p">)}</span> <span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>
    <span class="o">%</span><span class="n">endtry</span>

    
    <span class="o">&lt;/</span><span class="n">ul</span><span class="o">&gt;</span>
    <span class="o">&lt;/</span><span class="n">td</span><span class="o">&gt;</span>
    <span class="o">&lt;</span><span class="n">td</span><span class="o">&gt;</span>



<span class="o">%</span><span class="k">try</span><span class="p">:</span>
    <span class="o">%</span> <span class="k">if</span> <span class="n">get</span><span class="p">(</span><span class="s">&quot;plasma&quot;</span><span class="p">)</span> <span class="o">==</span> <span class="mi">1</span><span class="p">:</span>
    <span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="o">&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="o">&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="o">&amp;</span><span class="n">nbsp</span><span class="p">;</span><span class="n">Plasma</span> <span class="n">parameters</span><span class="p">:</span><span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>

	<span class="o">&lt;</span><span class="n">ul</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Plasma</span> <span class="n">life</span> <span class="n">time</span> <span class="o">&lt;</span><span class="n">b</span><span class="o">&gt;</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;plasma_life&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s">&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">)}</span> <span class="o">&lt;/</span><span class="n">b</span><span class="o">&gt;</span> <span class="p">[</span><span class="n">ms</span><span class="p">]</span> <span class="p">(</span><span class="kn">from</span>  <span class="err">$</span><span class="p">{</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;plasma_start&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s">&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">)}</span> <span class="n">to</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;plasma_end&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s">&#39;</span><span class="p">,</span> <span class="mf">1e3</span><span class="p">)})</span> <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Mean</span> <span class="n">toroidal</span> <span class="n">magnetic</span> <span class="n">field</span> <span class="n">Bt</span><span class="p">:</span>  <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;toroidal_field_mean&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">)}</span>  <span class="n">T</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Diagnostics/Basic/ToroidalMagneticField/index&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Mean</span> <span class="n">plasma</span> <span class="n">current</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;plasma_current_mean&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">,</span> <span class="mf">1e-3</span><span class="p">)}</span>  <span class="n">kA</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Diagnostics/Magnetic/RogowskiCoilArroundChamber/Theory/diagnostics_rogowski&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Mean</span> <span class="n">Uloop</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;loop_voltage_mean&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">)}</span>  <span class="n">V</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Diagnostics/Basic/Uloop/index&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Break</span> <span class="n">down</span> <span class="n">voltage</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;breakdown_voltage&#39;</span><span class="p">,</span>  <span class="s">&#39;</span><span class="si">%.1f</span><span class="s">&#39;</span><span class="p">)</span> <span class="p">}</span>  <span class="n">V</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Education/ExperimentMenu/BreakdownStudies/Breakdownstudies&quot;</span><span class="p">)}</span> <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/shots/${shot}/analysis/Basics/0612AdvancedAnalysis.ON/#power_balance&#39;</span><span class="o">&gt;</span><span class="n">Ohmic</span> <span class="n">heating</span> <span class="n">power</span><span class="p">:</span> <span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span> <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;input_power_mean&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.2f</span><span class="s">&#39;</span><span class="p">,</span> <span class="mf">1e-3</span><span class="p">)}</span>   <span class="n">kW</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/shots/${shot}/analysis/Basics/0612AdvancedAnalysis.ON/#safety_factor&#39;</span><span class="o">&gt;</span><span class="n">Q</span> <span class="n">edge</span><span class="p">:</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span>  <span class="err">$</span><span class="p">{</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;safety_factor_mean&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s">&#39;</span><span class="p">)}</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;http://fusionwiki.ciemat.es/wiki/Rotational_transform&quot;</span><span class="p">)}</span> <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/shots/${shot}/analysis/Basics/0612AdvancedAnalysis.ON/#electron_temperature&#39;</span><span class="o">&gt;</span><span class="n">Electron</span> <span class="n">temperature</span><span class="p">:</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span>  <span class="err">$</span><span class="p">{</span> <span class="n">emph</span><span class="p">(</span> <span class="n">get</span><span class="p">(</span><span class="s">&#39;temperature_mean&#39;</span><span class="p">,</span> <span class="s">&#39;</span><span class="si">%.1f</span><span class="s">&#39;</span><span class="p">))}</span> <span class="n">eV</span> <span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Diagnostics/Basic/Uloop/index#theory&quot;</span><span class="p">)}</span><span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/shots/${shot}/analysis/Basics/0612AdvancedAnalysis.ON/#density&#39;</span><span class="o">&gt;</span><span class="n">Line</span> <span class="n">electron</span> <span class="n">density</span><span class="p">:</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span>  <span class="err">$</span><span class="p">{</span> <span class="n">emph</span><span class="p">(</span><span class="n">get</span><span class="p">(</span><span class="s">&#39;electron_density_mean&#39;</span><span class="p">,</span> <span class="s">&quot;</span><span class="si">%.2f</span><span class="s">&quot;</span> <span class="p">,</span> <span class="mf">1e-17</span><span class="p">)</span> <span class="p">)</span> <span class="p">}</span> <span class="p">[</span><span class="mi">10</span><span class="o">^</span><span class="mf">17.</span><span class="n">m</span><span class="o">^-</span><span class="mi">2</span><span class="p">]</span> 
	<span class="err">$</span><span class="p">{</span><span class="n">wiki</span><span class="p">(</span><span class="s">&quot;/Diagnostics/Basic/Interferometry/index&quot;</span><span class="p">)}</span> <span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>
	<span class="o">&lt;/</span><span class="n">ul</span><span class="o">&gt;</span>
	
    <span class="o">%</span><span class="n">endif</span>


<span class="o">%</span><span class="k">except</span> <span class="ne">Exception</span><span class="p">,</span> <span class="n">e</span><span class="p">:</span>
    <span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;</span> <span class="n">Plasma</span> <span class="n">parameters</span> <span class="n">loading</span> <span class="n">failed</span><span class="p">:</span> <span class="err">$</span><span class="p">{</span><span class="nb">str</span><span class="p">(</span><span class="n">e</span><span class="p">)}</span> <span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>
<span class="o">%</span><span class="n">endtry</span>

<span class="o">&lt;/</span><span class="n">td</span><span class="o">&gt;</span>
<span class="o">&lt;/</span><span class="n">tr</span><span class="o">&gt;</span>
<span class="o">&lt;/</span><span class="n">table</span><span class="o">&gt;</span>





<span class="err">$</span><span class="p">{</span><span class="n">make_zoom_image</span><span class="p">(</span> <span class="s">&#39;/&#39;</span><span class="o">+</span><span class="n">base_path</span> <span class="o">+</span> <span class="s">&#39;basicdiagn/graphpres&#39;</span> <span class="p">,</span> <span class="s">&quot;&quot;</span><span class="p">,</span> <span class="s">&quot;_home&quot;</span><span class="p">)}</span>
<span class="err">$</span><span class="p">{</span><span class="n">make_zoom_image</span><span class="p">(</span> <span class="s">&#39;/&#39;</span><span class="o">+</span><span class="n">base_path</span> <span class="o">+</span> <span class="s">&#39;basicdiagn/graphpresb&#39;</span> <span class="p">,</span> <span class="s">&quot;&quot;</span><span class="p">,</span> <span class="s">&quot;_home&quot;</span><span class="p">)}</span>
<span class="err">$</span><span class="p">{</span><span class="n">make_zoom_image</span><span class="p">(</span> <span class="s">&#39;/&#39;</span><span class="o">+</span><span class="n">base_path</span> <span class="o">+</span> <span class="s">&#39;basicdiagn/graphpresi&#39;</span> <span class="p">,</span> <span class="s">&quot;&quot;</span><span class="p">,</span> <span class="s">&quot;_home&quot;</span><span class="p">)}</span>
<span class="err">$</span><span class="p">{</span><span class="n">make_zoom_image</span><span class="p">(</span> <span class="s">&#39;/&#39;</span><span class="o">+</span><span class="n">base_path</span> <span class="o">+</span> <span class="s">&#39;basicdiagn/graphpresfull&#39;</span> <span class="p">,</span> <span class="s">&quot;&quot;</span><span class="p">,</span> <span class="s">&quot;_home&quot;</span><span class="p">)}</span>



<span class="o">&lt;</span><span class="n">h3</span><span class="o">&gt;</span><span class="n">Diagnostics</span><span class="p">:</span><span class="o">&lt;/</span><span class="n">h3</span><span class="o">&gt;&lt;</span><span class="n">ul</span><span class="o">&gt;</span>

<span class="o">&lt;</span><span class="n">li</span><span class="o">&gt;</span><span class="n">Figures</span><span class="p">:</span><span class="o">&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
<span class="n">raw</span> <span class="n">data</span><span class="p">:</span> <span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/${default_path}/${shot}/basicdiagn/graphpresb.png&#39;</span><span class="o">&gt;</span><span class="err">$</span><span class="p">{</span><span class="n">default_path</span><span class="p">}</span><span class="o">/</span><span class="err">$</span><span class="p">{</span><span class="n">shot</span><span class="p">}</span><span class="o">/</span><span class="n">basicdiagn</span><span class="o">/</span><span class="n">graphpresb</span><span class="o">.</span><span class="n">png</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
<span class="n">integrated</span> <span class="n">data</span> <span class="p">(</span><span class="n">I</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">ch</span><span class="o">+</span><span class="n">p</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;</span><span class="p">):</span> <span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/${default_path}/${shot}/basicdiagn/graphpresi.png&#39;</span><span class="o">&gt;</span><span class="err">$</span><span class="p">{</span><span class="n">default_path</span><span class="p">}</span><span class="o">/</span><span class="err">$</span><span class="p">{</span><span class="n">shot</span><span class="p">}</span><span class="o">/</span><span class="n">basicdiagn</span><span class="o">/</span><span class="n">graphpresi</span><span class="o">.</span><span class="n">png</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
<span class="n">integrated</span> <span class="n">data</span> <span class="p">(</span><span class="n">I</span><span class="o">&lt;</span><span class="n">sub</span><span class="o">&gt;</span><span class="n">p</span><span class="o">&lt;/</span><span class="n">sub</span><span class="o">&gt;</span><span class="p">):</span> <span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/${default_path}/${shot}/basicdiagn/graphpresfull.png&#39;</span><span class="o">&gt;</span><span class="err">$</span><span class="p">{</span><span class="n">default_path</span><span class="p">}</span><span class="o">/</span><span class="err">$</span><span class="p">{</span><span class="n">shot</span><span class="p">}</span><span class="o">/</span><span class="n">basicdiagn</span><span class="o">/</span><span class="n">graphpresb</span><span class="o">.</span><span class="n">png</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;&lt;</span><span class="n">br</span><span class="o">/&gt;</span>
<span class="n">zoomed</span> <span class="n">data</span><span class="p">:</span> <span class="o">&lt;</span><span class="n">a</span> <span class="n">href</span><span class="o">=</span><span class="s">&#39;/${default_path}/${shot}/basicdiagn/graphpres.png&#39;</span><span class="o">&gt;</span><span class="err">$</span><span class="p">{</span><span class="n">default_path</span><span class="p">}</span><span class="o">/</span><span class="err">$</span><span class="p">{</span><span class="n">shot</span><span class="p">}</span><span class="o">/</span><span class="n">basicdiagn</span><span class="o">/</span><span class="n">graphpresb</span><span class="o">.</span><span class="n">png</span><span class="o">&lt;/</span><span class="n">a</span><span class="o">&gt;</span>
<span class="o">&lt;/</span><span class="n">li</span><span class="o">&gt;</span>

<span class="o">&lt;/</span><span class="n">ul</span><span class="o">&gt;</span>



<span class="o">&lt;</span><span class="n">h2</span><span class="o">&gt;</span> <span class="n">Basic</span> <span class="n">discharge</span> <span class="n">parameters</span><span class="p">:</span> <span class="o">&lt;/</span><span class="n">h2</span><span class="o">&gt;</span>


<span class="err">$</span><span class="p">{</span><span class="n">Shot</span><span class="p">(</span><span class="n">shot</span><span class="p">)</span><span class="o">.</span><span class="n">get_pygolem_list</span><span class="p">(</span> <span class="p">[</span><span class="s">&#39;loop_voltage&#39;</span><span class="p">,</span> <span class="s">&#39;toroidal_field&#39;</span><span class="p">,</span> <span class="s">&#39;rogowski_current&#39;</span><span class="p">,</span> <span class="s">&#39;plasma_current&#39;</span><span class="p">,</span> <span class="s">&#39;chamber_current&#39;</span><span class="p">,</span> <span class="s">&#39;photodiode&#39;</span><span class="p">,</span> <span class="s">&#39;photodiode_alpha&#39;</span><span class="p">,</span> <span class="s">&#39;plasma&#39;</span><span class="p">,</span> <span class="s">&#39;wwwcomment&#39;</span><span class="p">,</span> <span class="s">&#39;input_power&#39;</span><span class="p">,</span> <span class="s">&#39;input_power_total&#39;</span><span class="p">,</span> <span class="s">&#39;plasma_start&#39;</span><span class="p">,</span> <span class="s">&#39;plasma_end&#39;</span><span class="p">,</span> <span class="s">&#39;plasma_life&#39;</span><span class="p">,</span>  <span class="p">])}</span>
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22475 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22475"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22475/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 4.4MB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/analysis/Basics/0411ShotHomepage.ONN/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/analysis/Basics/0411ShotHomepage.ONN/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/analysis/Basics/0411ShotHomepage.ONN/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
