#!/bin/sh

triggers_present=`ls /dev/USBpulses/* | wc -w | awk '{print $1 / 2}'`
target_present=4

if [ $triggers_present -eq $target_present ] ; then
	echo "All $target_present USBpulse triggers present: OK"
	exit 0
else
	echo "Only $triggers_present USBpulse triggers present: ERROR"
	exit 1
fi
