












<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Golem No: 22475 - the only fully opensource tokamak </title>
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
    <link rel="stylesheet" href="/_static/default.css" type="text/css" />
    <link rel="stylesheet" href="/_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="/_static/lightbox.css" type="text/css" media="screen" />

    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
	URL_ROOT:    '',
	VERSION:     '0.2',
	COLLAPSE_INDEX: false,
	FILE_SUFFIX: '.html',
	HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="/_static/jquery.js"></script>
    <script type="text/javascript" src="/_static/underscore.js"></script>
    <script type="text/javascript" src="/_static/doctools.js"></script>
    <script type="text/javascript" src="/_static/sidebar.js"></script>

    <script src="/_static/lightbox_plus.js"></script>

    <script type="text/javascript">
	function getURL(val){
	location = /shots/ + val + '/' +  "diagnostics/Microwaves/0712Interferometer.ON/";
	return false;
	}
    </script>

  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>

	<ul>
	<li class="right" ><a href= /shots/0/diagnostics/Microwaves/0712Interferometer.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/diagnostics/Microwaves/0712Interferometer.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/diagnostics/Microwaves/0712Interferometer.ON/ title="previous shot" >previous</a> | </li>
	</ul>
	<ul>
	<li><a href="/" >  GOLEM  </a> &raquo;
	<a href= /shots/22475 >Shot  &#35;22475</a>  &raquo;   </li>
	    <li><a href=/shots/22475/diagnostics/Microwaves/0712Interferometer.ON/ >  main_3  </a>	    &raquo;
	</ul>
    </div>

    <div class="document">
      <div class="documentwrapper">
	<div class="bodywrapper">
	  <div class="body">
	    <div class="section" >

		<h1>Source code :: main_3</a></h1>

		<a class="viewcode-back" href="javascript:history.go(-1)">[Return]</a><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>  1
  2
  3
  4
  5
  6
  7
  8
  9
 10
 11
 12
 13
 14
 15
 16
 17
 18
 19
 20
 21
 22
 23
 24
 25
 26
 27
 28
 29
 30
 31
 32
 33
 34
 35
 36
 37
 38
 39
 40
 41
 42
 43
 44
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/python2</span>
<span class="c"># -*- coding: utf-8 -*-</span>


<span class="c">####     Microwaves 2.0</span>
<span class="c">#This algorithm calculate transformation of the sin signal from microwaves density measurement to the phase/amplitude space. </span>
<span class="c"># First step of the calculation is estimate of the base frequency and calculation of the complex exponential</span>
<span class="c">#with the same frequency.In the second step is signal multiplied by this exponential</span>
<span class="c">#and resulting low frequency signal is smoothed over Gaussian window. Finally complex phase and amplitude are calculated.  </span>

<span class="c"># Authors: Tomas Odstrcil, Ondrej Grover</span>

<span class="kn">from</span> <span class="nn">time</span> <span class="kn">import</span> <span class="n">time</span>
<span class="n">t</span> <span class="o">=</span> <span class="n">time</span><span class="p">()</span>

<span class="kn">from</span> <span class="nn">numpy</span> <span class="kn">import</span> <span class="o">*</span>
<span class="c">#from numpy.fft import fft, ifft</span>
<span class="c">#from scipy.signal import fftconvolve   </span>
<span class="kn">from</span> <span class="nn">scipy.constants</span> <span class="kn">import</span> <span class="n">c</span><span class="p">,</span><span class="n">m_e</span><span class="p">,</span><span class="n">epsilon_0</span><span class="p">,</span><span class="n">e</span>
<span class="kn">from</span> <span class="nn">pygolem_lite.modules</span> <span class="kn">import</span> <span class="n">save_adv</span><span class="p">,</span><span class="n">load_adv</span><span class="p">,</span><span class="n">saveconst</span>
<span class="kn">from</span> <span class="nn">pygolem_lite</span> <span class="kn">import</span> <span class="n">Shot</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">sys</span>
<span class="kn">import</span> <span class="nn">fftw3</span>
<span class="kn">from</span> <span class="nn">scipy.signal.signaltools</span> <span class="kn">import</span> <span class="n">_centered</span>

<span class="k">print</span> <span class="s">&#39;include time &#39;</span><span class="p">,</span><span class="n">time</span><span class="p">()</span><span class="o">-</span><span class="n">t</span> 

<span class="k">def</span> <span class="nf">wfft</span><span class="p">(</span><span class="n">a</span><span class="p">,</span><span class="n">ext</span><span class="p">,</span><span class="n">nthreads</span><span class="o">=</span><span class="mi">4</span><span class="p">):</span>  <span class="c">#osekal jsem to a už to funguje jen pro 1D pole</span>
    <span class="n">n</span> <span class="o">=</span> <span class="nb">len</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
    <span class="k">if</span> <span class="n">ext</span><span class="o">!=</span> <span class="bp">None</span><span class="p">:</span>
	<span class="n">a</span> <span class="o">=</span> <span class="kp">append</span><span class="p">(</span><span class="n">a</span><span class="p">,</span> <span class="kp">zeros</span><span class="p">(</span><span class="n">ext</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">-</span><span class="n">n</span><span class="p">,</span> <span class="kp">dtype</span><span class="o">=</span><span class="n">a</span><span class="o">.</span><span class="kp">dtype</span><span class="p">))</span>

    <span class="n">a</span> <span class="o">=</span> <span class="n">a</span><span class="o">.</span><span class="kp">astype</span><span class="p">(</span><span class="s">&#39;complex&#39;</span><span class="p">)</span>
    <span class="n">outarray</span> <span class="o">=</span> <span class="n">a</span><span class="o">.</span><span class="kp">copy</span><span class="p">()</span>
    <span class="n">fft_forward</span> <span class="o">=</span> <span class="n">fftw3</span><span class="o">.</span><span class="n">Plan</span><span class="p">(</span><span class="n">a</span><span class="p">,</span><span class="n">outarray</span><span class="p">,</span> <span class="n">direction</span><span class="o">=</span><span class="s">&#39;forward&#39;</span><span class="p">,</span> <span class="n">flags</span><span class="o">=</span><span class="p">[</span><span class="s">&#39;estimate&#39;</span><span class="p">],</span> <span class="n">nthreads</span><span class="o">=</span><span class="n">nthreads</span><span class="p">)</span>
    <span class="n">fft_forward</span><span class="p">()</span>
    <span class="k">return</span> <span class="n">outarray</span>
    
<span class="k">def</span> <span class="nf">wifft</span><span class="p">(</span><span class="n">a</span><span class="p">,</span><span class="n">ext</span> <span class="o">=</span> <span class="bp">None</span><span class="p">,</span><span class="n">nthreads</span><span class="o">=</span><span class="mi">4</span><span class="p">):</span>
    <span class="n">n</span> <span class="o">=</span> <span class="nb">len</span><span class="p">(</span><span class="n">a</span><span class="p">)</span>
    <span class="k">if</span> <span class="n">ext</span><span class="o">!=</span> <span class="bp">None</span><span class="p">:</span>
	<span class="n">a</span> <span class="o">=</span> <span class="kp">append</span><span class="p">(</span><span class="n">a</span><span class="p">,</span> <span class="kp">zeros</span><span class="p">(</span><span class="n">ext</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">-</span><span class="n">n</span><span class="p">,</span> <span class="kp">dtype</span><span class="o">=</span><span class="n">a</span><span class="o">.</span><span class="kp">dtype</span><span class="p">))</span>

    <span class="n">a</span> <span class="o">=</span> <span class="n">a</span><span class="o">.</span><span class="kp">astype</span><span class="p">(</span><span class="s">&#39;complex&#39;</span><span class="p">)</span>
    <span class="n">outarray</span> <span class="o">=</span> <span class="n">a</span><span class="o">.</span><span class="kp">copy</span><span class="p">()</span>  <span class="c">#empty_like</span>
    <span class="n">fft_backward</span> <span class="o">=</span> <span class="n">fftw3</span><span class="o">.</span><span class="n">Plan</span><span class="p">(</span><span class="n">a</span><span class="p">,</span><span class="n">outarray</span><span class="p">,</span> <span class="n">direction</span><span class="o">=</span><span class="s">&#39;backward&#39;</span><span class="p">,</span> <span class="n">flags</span><span class="o">=</span><span class="p">[</span><span class="s">&#39;estimate&#39;</span><span class="p">],</span> <span class="n">nthreads</span><span class="o">=</span><span class="n">nthreads</span><span class="p">)</span>
    <span class="n">fft_backward</span><span class="p">()</span>
    <span class="k">return</span> <span class="n">outarray</span>
    
    
<span class="k">def</span> <span class="nf">fftconvolve</span><span class="p">(</span><span class="n">in1</span><span class="p">,</span> <span class="n">in2</span><span class="p">,</span> <span class="n">mode</span><span class="o">=</span><span class="s">&quot;full&quot;</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot;Convolve two N-dimensional arrays using FFT. See convolve.</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">s1</span> <span class="o">=</span> <span class="kp">array</span><span class="p">(</span><span class="n">in1</span><span class="o">.</span><span class="kp">shape</span><span class="p">)</span>
    <span class="n">s2</span> <span class="o">=</span> <span class="kp">array</span><span class="p">(</span><span class="n">in2</span><span class="o">.</span><span class="kp">shape</span><span class="p">)</span>
    <span class="n">complex_result</span> <span class="o">=</span> <span class="p">(</span><span class="kp">issubdtype</span><span class="p">(</span><span class="n">in1</span><span class="o">.</span><span class="kp">dtype</span><span class="p">,</span> <span class="nb">complex</span><span class="p">)</span> <span class="ow">or</span>
                      <span class="kp">issubdtype</span><span class="p">(</span><span class="n">in2</span><span class="o">.</span><span class="kp">dtype</span><span class="p">,</span> <span class="nb">complex</span><span class="p">))</span>
    <span class="kp">size</span> <span class="o">=</span> <span class="n">s1</span> <span class="o">+</span> <span class="n">s2</span> <span class="o">-</span> <span class="mi">1</span>

    <span class="c"># Always use 2**n-sized FFT</span>
    <span class="n">fsize</span> <span class="o">=</span> <span class="mi">2</span> <span class="o">**</span> <span class="n">int_</span><span class="p">(</span><span class="kp">ceil</span><span class="p">(</span><span class="kp">log2</span><span class="p">(</span><span class="kp">size</span><span class="p">)))</span>
    <span class="n">IN1</span> <span class="o">=</span> <span class="n">wfft</span><span class="p">(</span><span class="n">in1</span><span class="p">,</span> <span class="p">[</span><span class="n">fsize</span><span class="p">,])</span>
    <span class="c">#print shape(IN1),shape(in1),fsize,shape(wfft(in2, [fsize,]))</span>
    <span class="n">IN1</span> <span class="o">*=</span> <span class="n">wfft</span><span class="p">(</span><span class="n">in2</span><span class="p">,</span> <span class="p">[</span><span class="n">fsize</span><span class="p">,])</span>
    <span class="n">fslice</span> <span class="o">=</span> <span class="nb">tuple</span><span class="p">([</span><span class="nb">slice</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="nb">int</span><span class="p">(</span><span class="n">sz</span><span class="p">))</span> <span class="k">for</span> <span class="n">sz</span> <span class="ow">in</span> <span class="kp">size</span><span class="p">])</span>
    <span class="n">ret</span> <span class="o">=</span> <span class="n">wifft</span><span class="p">(</span><span class="n">IN1</span><span class="p">)[</span><span class="n">fslice</span><span class="p">]</span><span class="o">.</span><span class="kp">copy</span><span class="p">()</span>
    <span class="k">del</span> <span class="n">IN1</span>
    <span class="k">if</span> <span class="ow">not</span> <span class="n">complex_result</span><span class="p">:</span>
        <span class="n">ret</span> <span class="o">=</span> <span class="n">ret</span><span class="o">.</span><span class="kp">real</span>
    <span class="k">if</span> <span class="n">mode</span> <span class="o">==</span> <span class="s">&quot;full&quot;</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">ret</span>
    <span class="k">elif</span> <span class="n">mode</span> <span class="o">==</span> <span class="s">&quot;same&quot;</span><span class="p">:</span>
        <span class="k">if</span> <span class="kp">product</span><span class="p">(</span><span class="n">s1</span><span class="p">,</span> <span class="n">axis</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span> <span class="o">&gt;</span> <span class="kp">product</span><span class="p">(</span><span class="n">s2</span><span class="p">,</span> <span class="n">axis</span><span class="o">=</span><span class="mi">0</span><span class="p">):</span>
            <span class="n">osize</span> <span class="o">=</span> <span class="n">s1</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">osize</span> <span class="o">=</span> <span class="n">s2</span>
        <span class="k">return</span> <span class="n">_centered</span><span class="p">(</span><span class="n">ret</span><span class="p">,</span> <span class="n">osize</span><span class="p">)</span>
    <span class="k">elif</span> <span class="n">mode</span> <span class="o">==</span> <span class="s">&quot;valid&quot;</span><span class="p">:</span>
        <span class="k">return</span> <span class="n">_centered</span><span class="p">(</span><span class="n">ret</span><span class="p">,</span> <span class="nb">abs</span><span class="p">(</span><span class="n">s2</span> <span class="o">-</span> <span class="n">s1</span><span class="p">)</span> <span class="o">+</span> <span class="mi">1</span><span class="p">)</span>




<span class="k">def</span> <span class="nf">Demodulation</span><span class="p">(</span><span class="n">data</span><span class="p">,</span><span class="n">win</span><span class="p">):</span>
    <span class="n">t</span> <span class="o">=</span> <span class="n">time</span><span class="p">()</span>
    <span class="n">y</span> <span class="o">=</span> <span class="kp">copy</span><span class="p">(</span><span class="n">data</span><span class="p">)</span>
    <span class="n">y</span><span class="o">-=</span> <span class="kp">mean</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="n">axis</span> <span class="o">=</span> <span class="mi">0</span><span class="p">)</span>
    

    <span class="n">n</span> <span class="o">=</span> <span class="kp">size</span><span class="p">(</span><span class="n">y</span><span class="p">,</span><span class="mi">0</span><span class="p">)</span>
    <span class="n">fourier</span> <span class="o">=</span> <span class="n">wfft</span><span class="p">(</span><span class="n">y</span><span class="p">[:,</span><span class="mi">0</span><span class="p">],</span> <span class="kp">shape</span><span class="p">(</span><span class="n">y</span><span class="p">[:,</span><span class="mi">0</span><span class="p">]))</span> <span class="c">#calulcate the fourier transfrom for the sine data</span>
    
    
    <span class="n">max_frequency_index</span> <span class="o">=</span>  <span class="kp">argmax</span><span class="p">(</span><span class="nb">abs</span><span class="p">(</span><span class="n">fourier</span><span class="p">))</span>
    <span class="n">max_frequency</span> <span class="o">=</span> <span class="nb">abs</span><span class="p">(</span><span class="n">fourier</span><span class="p">[</span><span class="n">max_frequency_index</span><span class="p">])</span>
    <span class="n">fourier</span><span class="p">[:]</span> <span class="o">=</span> <span class="mi">0</span> <span class="c">#cancel out all other frequencies</span>
    <span class="n">fourier</span><span class="p">[</span><span class="n">max_frequency_index</span><span class="p">]</span> <span class="o">=</span> <span class="n">max_frequency</span>

    
    <span class="n">cmpl_exp</span> <span class="o">=</span> <span class="n">wifft</span><span class="p">(</span><span class="n">fourier</span><span class="p">,</span> <span class="kp">shape</span><span class="p">(</span><span class="n">fourier</span><span class="p">))</span> 

    <span class="n">gauss</span> <span class="o">=</span> <span class="kp">exp</span><span class="p">(</span><span class="o">-</span><span class="kp">arange</span><span class="p">(</span><span class="o">-</span><span class="mi">3</span><span class="o">*</span><span class="n">win</span><span class="p">,</span><span class="mi">3</span><span class="o">*</span><span class="n">win</span><span class="p">)</span><span class="o">**</span><span class="mi">2</span><span class="o">/</span><span class="n">win</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>  
    
    <span class="n">signal</span> <span class="o">=</span> <span class="nb">list</span><span class="p">()</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="kp">size</span><span class="p">(</span><span class="n">y</span><span class="p">,</span><span class="mi">1</span><span class="p">)):</span>
	<span class="n">signal</span><span class="o">.</span><span class="kp">append</span><span class="p">(</span><span class="n">fftconvolve</span><span class="p">(</span><span class="n">y</span><span class="p">[:,</span><span class="n">i</span><span class="p">]</span><span class="o">*</span><span class="n">cmpl_exp</span><span class="p">,</span><span class="n">gauss</span><span class="p">,</span><span class="n">mode</span><span class="o">=</span><span class="s">&#39;same&#39;</span> <span class="p">))</span>
    <span class="n">signal</span> <span class="o">=</span> <span class="kp">array</span><span class="p">(</span><span class="n">signal</span><span class="p">,</span> <span class="kp">copy</span> <span class="o">=</span> <span class="bp">False</span><span class="p">)</span><span class="o">.</span><span class="n">T</span>

    <span class="n">amplitude</span> <span class="o">=</span> <span class="nb">abs</span><span class="p">(</span><span class="n">signal</span><span class="p">)</span>
    <span class="n">phase</span> <span class="o">=</span> <span class="kp">angle</span><span class="p">(</span><span class="n">signal</span><span class="p">)</span>

    <span class="c">#for i in range(size(y,1)):</span>
	<span class="c">#diff_phase = diff(phase[:,i], axis = 0)</span>
	<span class="c">#phase[1:,i] -= cumsum(where(abs(abs(diff_phase) - 2*pi) &lt; 1, diff_phase, 0), axis = 0, out = diff_phase)</span>

    <span class="n">phase</span> <span class="o">=</span> <span class="kp">unwrap</span><span class="p">(</span><span class="n">phase</span><span class="p">,</span> <span class="n">axis</span> <span class="o">=</span> <span class="mi">0</span><span class="p">)</span>

    <span class="k">print</span> <span class="s">&#39;calc. time&#39;</span><span class="p">,</span> <span class="n">time</span><span class="p">()</span><span class="o">-</span><span class="n">t</span>
    <span class="k">return</span> <span class="p">(</span><span class="n">amplitude</span><span class="p">,</span><span class="n">phase</span><span class="p">)</span>

<span class="k">def</span> <span class="nf">LoadData</span><span class="p">():</span>
    <span class="n">Data</span> <span class="o">=</span> <span class="n">Shot</span><span class="p">()</span>

    <span class="n">gd</span> <span class="o">=</span> <span class="n">Shot</span><span class="p">()</span><span class="o">.</span><span class="n">get_data</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">density1</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;density&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">density2</span>  <span class="o">=</span> <span class="n">gd</span><span class="p">(</span><span class="s">&#39;any&#39;</span><span class="p">,</span> <span class="s">&#39;density_2&#39;</span><span class="p">)</span>
       
    <span class="k">return</span> <span class="n">tvec</span><span class="p">,</span><span class="n">density1</span><span class="p">,</span><span class="n">density2</span>


    
    
<span class="k">def</span> <span class="nf">graphs</span><span class="p">():</span>
    
    <span class="kn">import</span> <span class="nn">matplotlib</span> 
    <span class="n">matplotlib</span><span class="o">.</span><span class="n">rcParams</span><span class="p">[</span><span class="s">&#39;backend&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="s">&#39;Agg&#39;</span>
    <span class="n">matplotlib</span><span class="o">.</span><span class="n">rc</span><span class="p">(</span><span class="s">&#39;font&#39;</span><span class="p">,</span>  <span class="kp">size</span><span class="o">=</span><span class="s">&#39;10&#39;</span><span class="p">)</span>
    <span class="n">matplotlib</span><span class="o">.</span><span class="n">rc</span><span class="p">(</span><span class="s">&#39;text&#39;</span><span class="p">,</span> <span class="n">usetex</span><span class="o">=</span><span class="bp">True</span><span class="p">)</span>  <span class="c"># FIXME !! nicer but slower !!!</span>
    <span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="kn">as</span> <span class="nn">plt</span>
    
    <span class="k">class</span> <span class="nc">MyFormatter</span><span class="p">(</span><span class="n">plt</span><span class="o">.</span><span class="n">ScalarFormatter</span><span class="p">):</span> 
	<span class="k">def</span> <span class="nf">__call__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">x</span><span class="p">,</span> <span class="n">pos</span><span class="o">=</span><span class="bp">None</span><span class="p">):</span> 
	    <span class="k">if</span> <span class="n">pos</span><span class="o">==</span><span class="mi">0</span><span class="p">:</span> 
		<span class="k">return</span> <span class="s">&#39;&#39;</span> 
	    <span class="k">else</span><span class="p">:</span> <span class="k">return</span> <span class="n">plt</span><span class="o">.</span><span class="n">ScalarFormatter</span><span class="o">.</span><span class="n">__call__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">x</span><span class="p">,</span> <span class="n">pos</span><span class="p">)</span> 
	    
	    
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_pila</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_saw&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_sinus</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_sinus&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">phase</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/phase_substracted&#39;</span><span class="p">)</span>
    <span class="n">tvec</span><span class="p">,</span> <span class="n">amplitude</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/amplitude_sinus&#39;</span><span class="p">)</span>   
    <span class="n">tvec</span><span class="p">,</span> <span class="n">n_e</span> <span class="o">=</span> <span class="n">load_adv</span><span class="p">(</span><span class="s">&#39;results/electron_density&#39;</span><span class="p">)</span>

    
    
    <span class="n">fig</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">num</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">10</span><span class="p">,</span> <span class="mi">6</span><span class="p">),</span> <span class="n">dpi</span><span class="o">=</span><span class="mi">80</span><span class="p">,</span> <span class="n">facecolor</span><span class="o">=</span><span class="s">&#39;w&#39;</span><span class="p">,</span> <span class="n">edgecolor</span><span class="o">=</span><span class="s">&#39;k&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">subplots_adjust</span><span class="p">(</span><span class="n">hspace</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">wspace</span> <span class="o">=</span> <span class="mi">0</span><span class="p">)</span>
    
    <span class="n">ax</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">2</span><span class="p">,</span><span class="mi">1</span><span class="p">,</span><span class="mi">1</span><span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">xaxis</span><span class="o">.</span><span class="n">set_major_formatter</span><span class="p">(</span> <span class="n">plt</span><span class="o">.</span><span class="n">NullFormatter</span><span class="p">()</span> <span class="p">)</span>
    <span class="n">ax</span><span class="o">.</span><span class="n">yaxis</span><span class="o">.</span><span class="n">set_major_formatter</span><span class="p">(</span> <span class="n">MyFormatter</span><span class="p">()</span> <span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">tvec</span><span class="o">*</span><span class="mi">1000</span><span class="p">,</span><span class="o">-</span><span class="n">phase_pila</span><span class="o">+</span><span class="kp">mean</span><span class="p">(</span><span class="n">phase_pila</span><span class="p">),</span><span class="s">&#39;--&#39;</span><span class="p">,</span> <span class="n">label</span> <span class="o">=</span> <span class="s">&#39;saw phase&#39;</span> <span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">tvec</span><span class="o">*</span><span class="mi">1000</span><span class="p">,</span><span class="o">-</span><span class="n">phase_sinus</span><span class="o">+</span><span class="kp">mean</span><span class="p">(</span><span class="n">phase_sinus</span><span class="p">),</span><span class="s">&#39;--&#39;</span><span class="p">,</span> <span class="n">label</span> <span class="o">=</span> <span class="s">&#39;signal phase&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">tvec</span><span class="o">*</span><span class="mi">1000</span><span class="p">,</span><span class="n">phase</span><span class="p">,</span> <span class="s">&#39;k&#39;</span><span class="p">,</span><span class="n">label</span> <span class="o">=</span> <span class="s">&#39;substracted phase&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s">&#39;tight&#39;</span><span class="p">)</span>

    <span class="n">plt</span><span class="o">.</span><span class="n">xlim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="bp">None</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s">&#39;time [ms]&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s">&#39;phase [rad]&#39;</span><span class="p">)</span>
    <span class="n">leg</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="s">&#39;best&#39;</span><span class="p">,</span> <span class="n">fancybox</span><span class="o">=</span><span class="bp">True</span><span class="p">)</span>
    <span class="n">leg</span><span class="o">.</span><span class="n">get_frame</span><span class="p">()</span><span class="o">.</span><span class="n">set_alpha</span><span class="p">(</span><span class="mf">0.5</span><span class="p">)</span>
   
    <span class="n">ax</span> <span class="o">=</span> <span class="n">fig</span><span class="o">.</span><span class="n">add_subplot</span><span class="p">(</span><span class="mi">2</span><span class="p">,</span><span class="mi">1</span><span class="p">,</span><span class="mi">2</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">tvec</span><span class="o">*</span><span class="mi">1000</span><span class="p">,</span><span class="n">amplitude</span><span class="p">,</span><span class="n">label</span> <span class="o">=</span> <span class="s">&#39;amplitude&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">xlim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="bp">None</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">ylim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="bp">None</span><span class="p">)</span>
    <span class="n">leg</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="s">&#39;best&#39;</span><span class="p">,</span> <span class="n">fancybox</span><span class="o">=</span><span class="bp">True</span><span class="p">)</span>
    <span class="n">leg</span><span class="o">.</span><span class="n">get_frame</span><span class="p">()</span><span class="o">.</span><span class="n">set_alpha</span><span class="p">(</span><span class="mf">0.5</span><span class="p">)</span>
    
    <span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s">&#39;amplitude [a.u.]&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s">&#39;graphs/demodulation.png&#39;</span><span class="p">,</span><span class="n">bbox_inches</span><span class="o">=</span><span class="s">&#39;tight&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">close</span><span class="p">()</span>
    
    
    <span class="n">Data</span> <span class="o">=</span> <span class="n">Shot</span><span class="p">()</span>
    <span class="n">plasma_start</span> <span class="o">=</span> <span class="n">Data</span><span class="p">[</span><span class="s">&#39;plasma_start&#39;</span><span class="p">]</span>
    <span class="n">plasma_end</span> <span class="o">=</span> <span class="n">Data</span><span class="p">[</span><span class="s">&#39;plasma_end&#39;</span><span class="p">]</span>
    <span class="n">fig</span> <span class="o">=</span> <span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">num</span><span class="o">=</span><span class="bp">None</span><span class="p">,</span> <span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">10</span><span class="p">,</span> <span class="mi">3</span><span class="p">),</span> <span class="n">dpi</span><span class="o">=</span><span class="mi">80</span><span class="p">,</span> <span class="n">facecolor</span><span class="o">=</span><span class="s">&#39;w&#39;</span><span class="p">,</span> <span class="n">edgecolor</span><span class="o">=</span><span class="s">&#39;k&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">tvec</span><span class="o">*</span><span class="mi">1000</span><span class="p">,</span><span class="n">n_e</span><span class="o">/</span><span class="mf">1e19</span><span class="p">,</span><span class="n">label</span> <span class="o">=</span> <span class="s">&#39;$n_e$&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s">&#39;$&lt;n_e&gt;$ [$10^{19}\,m^{-3}$]&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s">&#39;time [ms]&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">xlim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="mi">20</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">ylim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="bp">None</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">axvline</span><span class="p">(</span><span class="n">x</span> <span class="o">=</span> <span class="mi">1000</span><span class="o">*</span><span class="n">plasma_start</span><span class="p">,</span><span class="n">linestyle</span> <span class="o">=</span> <span class="s">&#39;--&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">axvline</span><span class="p">(</span><span class="n">x</span> <span class="o">=</span> <span class="mi">1000</span><span class="o">*</span><span class="n">plasma_end</span><span class="p">,</span> <span class="n">linestyle</span> <span class="o">=</span> <span class="s">&#39;--&#39;</span><span class="p">)</span>

    <span class="n">plt</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s">&#39;graphs/electron_density.png&#39;</span><span class="p">,</span><span class="n">bbox_inches</span><span class="o">=</span><span class="s">&#39;tight&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">close</span><span class="p">()</span>
    
    
    

<span class="k">def</span> <span class="nf">main</span><span class="p">():</span>



    
    <span class="k">for</span> <span class="n">path</span> <span class="ow">in</span> <span class="p">[</span><span class="s">&#39;graphs&#39;</span><span class="p">,</span> <span class="s">&#39;results&#39;</span> <span class="p">]:</span>
	<span class="k">if</span> <span class="ow">not</span> <span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">exists</span><span class="p">(</span><span class="n">path</span><span class="p">):</span>
	    <span class="n">os</span><span class="o">.</span><span class="n">mkdir</span><span class="p">(</span><span class="n">path</span><span class="p">)</span>
	    
    <span class="k">if</span> <span class="n">sys</span><span class="o">.</span><span class="n">argv</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span> <span class="o">==</span>  <span class="s">&quot;analysis&quot;</span><span class="p">:</span>
	
	<span class="n">win</span> <span class="o">=</span> <span class="mf">30e-6</span> <span class="c">#[s]</span>
	<span class="n">t</span> <span class="o">=</span> <span class="n">time</span><span class="p">()</span>
	<span class="n">tvec</span><span class="p">,</span><span class="n">density1</span><span class="p">,</span><span class="n">density2</span> <span class="o">=</span> <span class="n">LoadData</span><span class="p">()</span>
	<span class="n">dt</span> <span class="o">=</span> <span class="p">(</span><span class="n">tvec</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span><span class="o">-</span><span class="n">tvec</span><span class="p">[</span><span class="mi">0</span><span class="p">])</span><span class="o">/</span><span class="nb">len</span><span class="p">(</span><span class="n">tvec</span><span class="p">)</span>
	<span class="k">print</span> <span class="s">&#39;load time &#39;</span><span class="p">,</span> <span class="n">time</span><span class="p">()</span><span class="o">-</span><span class="n">t</span>
	<span class="n">signals</span> <span class="o">=</span> <span class="kp">vstack</span><span class="p">((</span><span class="n">density2</span><span class="p">,</span><span class="n">density1</span><span class="p">))</span><span class="o">.</span><span class="n">T</span>
	<span class="p">(</span><span class="n">amplitude</span><span class="p">,</span><span class="n">phase</span><span class="p">)</span> <span class="o">=</span> <span class="n">Demodulation</span><span class="p">(</span><span class="n">signals</span><span class="p">,</span><span class="n">win</span><span class="o">/</span><span class="n">dt</span><span class="p">)</span>  
	
	<span class="n">downsample</span> <span class="o">=</span> <span class="nb">int</span><span class="p">(</span><span class="n">win</span><span class="o">/</span><span class="n">dt</span><span class="o">/</span><span class="mi">2</span><span class="p">)</span>    
	<span class="n">amplitude</span> <span class="o">=</span> <span class="n">amplitude</span><span class="p">[::</span><span class="n">downsample</span><span class="p">,</span><span class="mi">1</span><span class="p">]</span>
	<span class="n">phase_pila</span> <span class="o">=</span> <span class="n">phase</span><span class="p">[::</span><span class="n">downsample</span><span class="p">,</span><span class="mi">0</span><span class="p">]</span>
	<span class="n">phase_sinus</span> <span class="o">=</span> <span class="n">phase</span><span class="p">[::</span><span class="n">downsample</span><span class="p">,</span><span class="mi">1</span><span class="p">]</span>
	<span class="n">tvec</span> <span class="o">=</span> <span class="n">tvec</span><span class="p">[::</span><span class="n">downsample</span><span class="p">]</span>
	
	<span class="n">phase</span> <span class="o">=</span> <span class="n">phase_pila</span><span class="o">-</span><span class="n">phase_sinus</span>
	<span class="n">phase</span> <span class="o">-=</span> <span class="kp">median</span><span class="p">(</span><span class="n">phase</span><span class="p">)</span>
	
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_saw&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_pila</span><span class="p">)</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_sinus&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase_sinus</span><span class="p">)</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/phase_substracted&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">phase</span><span class="p">)</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/amplitude_sinus&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">amplitude</span><span class="p">)</span>    

	<span class="n">a</span> <span class="o">=</span> <span class="mf">0.01</span>   <span class="c">#[m]</span>
	<span class="n">f_0</span> <span class="o">=</span> <span class="mf">75e9</span> <span class="c">#[Hz]</span>
	<span class="n">lambda_0</span> <span class="o">=</span> <span class="n">c</span><span class="o">/</span><span class="n">f_0</span>
	<span class="n">n_e</span> <span class="o">=</span> <span class="mi">4</span><span class="o">*</span><span class="n">pi</span><span class="o">*</span><span class="n">m_e</span><span class="o">*</span><span class="n">epsilon_0</span><span class="o">*</span><span class="n">c</span><span class="o">**</span><span class="mi">2</span><span class="o">/</span><span class="p">(</span><span class="n">e</span><span class="o">**</span><span class="mi">2</span><span class="o">*</span><span class="n">lambda_0</span><span class="o">*</span><span class="mi">2</span><span class="o">*</span><span class="n">a</span><span class="p">)</span><span class="o">*</span><span class="n">phase</span>
	<span class="n">save_adv</span><span class="p">(</span><span class="s">&#39;results/electron_density&#39;</span><span class="p">,</span> <span class="n">tvec</span><span class="p">,</span> <span class="n">n_e</span><span class="p">)</span>

    <span class="k">if</span> <span class="n">sys</span><span class="o">.</span><span class="n">argv</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span> <span class="o">==</span>  <span class="s">&quot;plots&quot;</span><span class="p">:</span>
	<span class="n">graphs</span><span class="p">()</span>
	<span class="n">saveconst</span><span class="p">(</span><span class="s">&#39;status&#39;</span><span class="p">,</span> <span class="mi">0</span><span class="p">)</span>



<span class="k">if</span> <span class="n">__name__</span> <span class="o">==</span> <span class="s">&quot;__main__&quot;</span><span class="p">:</span>
    <span class="n">main</span><span class="p">()</span>
    	 
</pre></div>
</td></tr></table>
	    </div>
	  </div>
	</div>
      </div>

      <div class="sphinxsidebar">
	<div class="sphinxsidebarwrapper">


	    <a href= /shots/22475 ><img src="/_static/logos/golem.svg" alt="" width=80 /></a>



		<h4>Navigation</h4>
		<ul class="this-page-menu">
		    
        
    
        
    <?php
     $status = 4;
     ?>

 <li>
    <?php
    if ( $status == 0 ) {
	echo "&#10003;" ; }
    elseif ( $status == 1 ) {
	echo "&#10005;" ; }
     elseif ( $status == 2 ) {
	echo "?" ; }
    elseif ( $status == 3 ) {
	echo "<img src='/_static/AnimationWait.gif' /> ";  }
    elseif ( $status == 4 ) {
	echo "" ; }
    ?>

    <a  class="reference internal" href="javascript:history.go(-1)"><b>Return</b></a>
    </li>

		</ul>

	    <div id="searchbox" style="display: none">
		<h3>Go to shot</h3>
		    <form  style='display:inline;' method="post" action="" onsubmit="return getURL(this.shot.value)">
		    <input size="5" type="text" name="shot" value="22475"  />
		    <input  size="5" type="submit" name="Go" value="Go" />
		    </form>
	    </div>
	    <script type="text/javascript">$('#searchbox').show(0);</script>
	</div>
	</div>
      <div class="clearer"></div>
    </div>

    
    <div class="related">
	<span class="base_template"><a  href="/shots/22475/base.php.template" title="main template">[Main template]</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Disk usage: 608KB </span>


    <h3>Navigation</h3>
    <ul>
	<li class="right" ><a href= /shots/0/diagnostics/Microwaves/0712Interferometer.ON/ title="current shot" >current</a> </li>
	<li class="right" ><a href= /shots/22476/diagnostics/Microwaves/0712Interferometer.ON/ title="next shot" >next</a> |</li>
	<li class="right" ><a href= /shots/22474/diagnostics/Microwaves/0712Interferometer.ON/ title="previous shot" >previous</a> | </li>
    </ul>
    </div>

    <div class="footer">
	&copy; Copyright 2016, <a href="mailto:svoboda@fjfi.cvut.cz">GOLEM Team</a>
    </div>


  <script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-37412576-1']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

  </script>

  </body>





</html>
